#pragma once

// Menus
#define M_OPEN 7362  	// Opens a file
#define M_NEW 7363  	// Creates an empty file
#define M_SAVE 7364  	// Export all items to a file
#define M_PRINT 7365  	// Prints the current view or selected item.
#define M_CUT 7366  	// Cuts the currently selected items to the clipboard
#define M_COPY 7367  	// Copies the currently selected items to the clipboard
#define M_PASTE 7368  	// Paste an item from the clipboard to the current view.
#define M_SAVE_SELECTED 7369  	// Exports all selected items to a file
#define M_DELETE 7370  	// Delete selected items.
#define M_EDIT 7371  	// Edits the currently selected item
#define M_RECIPE 7372  	// View My Recipes
#define M_ABOUT 7373  	// Shows the About box for BeerSmith
#define M_SHOW_MENU_BAR 7374  	// Toggles the menu bar on and off
#define M_TITLE_EXPAND 7375  	// Expands title window
#define M_TITLE_COLLAPSE 7376  	// Collapse title window
#define M_TOOL_HYDROMETER 7377  	// Hydrometer adjustment tool
#define M_BACK 7378  	// Go back to the previous view
#define M_FORWARD 7379  	// Moves forward to the next view
#define M_TOOLS 7380  	// View the set of standalone tools
#define M_TOOL_WEIGHT_VOL 7381  	// Weight to volume tool
#define I_RED 7382  	// Red Ball
#define I_BLUE 7383  	// Blue ball
#define I_YELLOW 7384  	// Yellow Ball
#define M_HOME 7385  	// Home ribbon- used on main ribbon
#define M_UNDO 7386  	// Undo the last command
#define M_REDO 7387  	// Redo the last operation that was undone
#define M_CLOSE 7388  	// Close the current window
#define M_TOOL_INFUSION 7389  	// Strike/Infusion tool
#define M_TOOL_CARBONATION 7390  	// carbonation_tool
#define M_NOTES 7391  	// Notes view command
#define M_ADD_NOTE 7392  	// Add a new note
#define M_OK 7393  	// Ok
#define M_CANCEL 7394  	// Cancel the current item
#define M_UP_ARROW 7395  	// UP ARROW ICON - DO NOT CHANGE LABEL!!!
#define M_DOWN_ARROW 7396  	// Down arrow icon - DO NOT CHANGE NAME OF ITEM
#define M_BEERSMITH 7397  	// BeerSmith icons
#define M_PRINT_PREVIEW 7398  	// Preview document for printing
#define M_CLOSE_PREVIEW 7399  	// Close Preview Pane
#define M_SHOW_PREVIEW 7400  	// Show Preview Pane
#define M_PREVIEW_RIGHT 7401  	// Show Preview Pane on Right
#define M_PREVIEW_BOTTOM 7402  	// PreviewPane on Bottom
#define M_HOPS 7403  	// View the hops table
#define M_ADD_HOPS 7404  	// Add a new hop to the hops database
#define M_INGREDIENTS 7405  	// Ingredient Views
#define M_GRAIN 7406  	// View grains, extracts, sugars
#define M_ADD_GRAIN 7407  	// Add a new malt, extract or sugar
#define M_TOOL_TEMPERATURE 7408  	// Temperature unit conversion tool
#define M_TOOL_SG 7409  	// Specific Gravity Unit Converter
#define M_TOOL_PRESSURE 7410  	// Convert pressure units
#define M_TOOL_WEIGHT 7411  	// Weight Units Converter
#define M_TOOL_VOLUME 7412  	// Volume unit converter
#define M_UNITS 7413  	// Tools for performing unit conversion
#define M_TOOL_DECOCTION 7414  	// Decoction volume tool
#define M_TOOL_MASH_ADJUST 7415  	// Calculate the water addition needed to achieve a target mash temperature
#define M_TOOL_BOILOFF 7416  	// Tool to calculate the amount of wort lost in the boil
#define M_TOOL_ATTENUATION 7417  	// Tool to calculate alcohol content, attenuation and calories
#define M_TOOL_DILUTION 7418  	// Calculates the effect of diluting one beer with another
#define M_TOOL_HOPAGE 7419  	// Tool to calculate lower hop alpha due to aging
#define M_TOOL_REFRACTOMETER 7420  	// Calculates specific gravity from a refractometer reading
#define M_MISC 7421  	// View the table of miscellaneous items
#define M_ADD_MISC 7422  	// Add a new miscellaneous ingredient 
#define M_WATER 7423  	// View the water database
#define M_ADD_WATER 7424  	// Add a new water record
#define M_RENAME 7425  	// Rename the selected item
#define M_YEAST 7426  	// View the yeast database
#define M_ADD_YEAST 7427  	// Add a new yeast item
#define M_STYLE 7428  	// View the beer style database
#define M_ADD_STYLE 7429  	// Add a new style record to the database
#define M_EQUIPMENT 7430  	// Equipment view
#define M_ADD_EQUIPMENT 7431  	// Add a new equipment profile
#define M_MASHSTEP 7432  	// View the mash steps for this mash profile
#define M_ADD_MASHSTEP 7433  	// Add a new mash step to this mash profile
#define M_MASH 7434  	// View the table of mash profiles
#define M_ADD_MASH 7435  	// Add a new mash profile
#define M_EDIT_MASHSTEP 7436  	// Edit the selected mash step
#define M_DELETE_MASHSTEP 7437  	// Delete the currently selected mash step
#define M_MASHSTEP_UP 7438  	// Move the selected step up 
#define M_MASHSTEP_DOWN 7439  	// Moves the selected mash step down one place
#define M_G_DME 7440  	// Actually just an icon used for grain database
#define M_G_LME 7441  	// Icon used in grain types for grain database
#define M_ADD_RECIPE 7442  	// Add a new recipe
#define M_DESIGN_TAB 7443  	// Recipe designer tab for recipe dialog
#define M_R_ADD_GRAIN 7444  	// Add a new extract, grain or sugar to this recipe
#define M_R_ADD_HOPS 7445  	// Add a new hops ingredient to this recipe
#define M_R_ADD_YEAST 7446  	// Add a new yeast ingredient to this recipe
#define M_R_ADD_WATER 7447  	// Add a new water ingredient to this recipe
#define M_SHOP 7448  	// Shopping list view
#define M_ADD_SHOP 7449  	// Add an item to the shopping list
#define M_R_DELETE_ING 7450  	// Delete Ingredient
#define M_R_EDIT_ING 7451  	// Edit the selected ingredient
#define M_R_ADD_MISC 7452  	// Add a miscellaneous Ingredient
#define M_R_INCREASE_AMT 7453  	// Increase amount of selected ingredient
#define M_R_DECREASE_AMT 7454  	// Decrease the amount of the selected ingredient
#define M_FOLDER 7455  	// Folders used for storing recipes
#define M_ADD_FOLDER 7456  	// Add a new folder for storing recipes
#define M_R_CHOOSE_STYLE 7457  	// Choose the style of this beer
#define M_R_CHOOSE_EQUIP 7458  	// Choose equipment for this recipe
#define M_R_CHOOSE_MASH 7459  	// Choose the mash profile for this recipe
#define M_R_SUBST_ING 7460  	// Substitute the selected ingredient for another
#define M_R_EDIT_STYLE 7461  	// Edit the style for this recipe
#define M_R_EDIT_EQUIP 7462  	// Edit the equipment settings for this recipe
#define M_R_EDIT_MASH 7463  	// Edit the mash profile for this recipe
#define M_R_ADD_TO_DATABASE 7464  	// Save Item to My Ingredient Database
#define M_R_UPDATE_PRICES 7465  	// Update Prices for Ingredients from My Ingredients Tables
#define M_EXIT 7467  	// Exit BeerSmith
#define M_ADJUST_BITTERNESS 7468  	// Adjust bitterness of the recipe
#define M_ADJUST_GRAVITY 7469  	// Adjust the original gravity of this recipe
#define M_SCALE_RECIPE 7470  	// Scale the recipe by size, efficiency or equipment
#define M_CONVERT_RECIPE 7471  	// Convert a recipe from all grain to extract
#define M_ADJUST_COLOR 7472  	// Adjust the beer color for a recipe
#define M_R_EDIT_BASE_GRAIN 7473  	// Edit the base grain for recipe conversion
#define M_R_CHOOSE_BASE_GRAIN 7474  	// Choose the base grain for recipe conversion
#define M_STATS_TAB 7475  	// Fermentation details for a recipe
#define M_SELECT_ALL 7476  	// Select all items
#define M_HELP 7477  	// Display help for this topic
#define M_CARB 7478  	// Carbonation profiles for carbonating your beer
#define M_R_CHOOSE_CARB 7479  	// Set the carbonation type for this recipe
#define M_ADD_CARB 7480  	// Add a new carbonation profile
#define M_R_EDIT_CARB 7481  	// Edit the carbonation profile
#define M_AGE 7482  	// Fermentation and aging profile for this beer
#define M_R_CHOOSE_AGE 7483  	// Choose a fermentation or aging profile
#define M_R_EDIT_AGE 7484  	// Edit the age profile
#define M_ADD_AGE 7485  	// Add a new aging profile
#define M_STEP 7486  	// Step for a brewing sheet
#define M_ADD_STEP 7487  	// Add a custom step to the brewsheet
#define M_INVENTORY 7488  	// Display items currently in inventory
#define M_INV_DELETE 7489  	// Delete this item from inventory
#define M_INV_ADD_HOPS 7490  	// Add hops to the inventory
#define M_INV_ADD_GRAIN 7491  	// Add a grain to inventory
#define M_INV_ADD_YEAST 7492  	// Add yeast to inventory
#define M_INV_ADD_MISC 7493  	// Add a miscellaneous item to inventory
#define M_INV_EDIT_HOPS 7494  	// Edit Hop Inventory
#define M_INV_EDIT_GRAIN 7495  	// Edit Grain Inventory
#define M_INV_EDIT_YEAST 7496  	// Edit yeast inventory
#define M_INV_EDIT_MISC 7497  	// Edit misc inventory
#define M_INV_REMOVE 7498  	// Remove ingredients in this recipe from inventory
#define M_ADD_TO_CART 7499  	// Add ingredients in this recipe to the shopping cart
#define M_PROFILES 7500  	// Mash, Style, Carbonation and Aging Profiles
#define M_CALENDAR 7501  	// Brewing calendar view
#define M_EMPTY_CART 7502  	// Empty the shopping cart
#define M_SHOP_ADD_GRAIN 7503  	// Add grain to the shopping cart
#define M_SHOP_ADD_HOPS 7504  	// Add hops to the shopping cart
#define M_SHOP_ADD_YEAST 7505  	// Add yeast to the shopping cart
#define M_SHOP_ADD_MISC 7506  	// Add miscellaneous items to the shopping cart
#define M_ROUND_UP 7507  	// Round the amounts up to a whole value
#define M_ADD_INVENTORY 7508  	// Add selected items to inventory
#define M_CALENDAR_BAR 7509  	// Calendar Ribbon - not used on the menu
#define M_NEXT_MONTH 7510  	// View the next month
#define M_PREV_MONTH 7511  	// View the previous month
#define M_TODAY 7512  	// Jump Calendar to Today
#define M_NEXT_YEAR 7513  	// Move calendar to next year
#define M_PREV_YEAR 7514  	// Move calendar to previous year
#define M_TOOL_YEAST_STARTER 7701  	// Yeast Starter Tool
#define M_HB_ADD 7735  	// Add a new hop to this hop schedule
#define M_HB_EDIT 7736  	// Edit the selected hop addition
#define M_HB_DELETE 7737  	// Delete the selected hop addition
#define M_TOOL_BITTERNESS 7738  	// Tool to calculate the bitterness of a set of hop additions
#define M_TOOL_WATER_NEEDED 7760  	// Tool to calculate the total water needed for a batch of beer
#define M_TOOL_WATER_PROFILE 7820  	// Calculates water additions to match a given water profile
#define M_WP_SAVE_ADDITIONS 7821  	// Saves the current additions to the target water profile
#define M_WP_CLEAR 7822  	// Clear all of the water profile fields
#define M_WP_CHOOSE_BASE 7823  	// Choose the base water to use for this profile
#define M_WP_CHOOSE_DILUTE 7824  	// Choose the type of water to dilute this profile with
#define M_WP_CHOOSE_TARGET 7825  	// Choose the water profile we are trying to duplicate
#define M_WP_SAVE_TOTALS 7826  	// Save the totals for this water profile as a new profile
#define M_WP_CALCULATE 7847  	// Calculates the best fit additions to match the target water profile
#define M_PRINT_SETUP 7859  	// Adjust the page margins and layout for printing
#define M_PRINT_REPORT 7861  	// Print the list or table shown in this view
#define M_R_ADD_IMAGE 7864  	// Set your own image for this recipe
#define M_R_DELETE_IMAGE 7865  	// Delete the image set for this recipe
#define M_CUSTOMIZE_COLS 7867  	// Customize the columns displayed for this view
#define M_EDIT_WINDOW 7870  	// Open this item for editing in a new window
#define M_EDIT_TAB 7871  	// Edit this item in a new tab
#define M_DEF_REPORT 7873  	// Set the default report format to the current report
#define M_OPTIONS 7875  	// Displays the options dialog for BeerSmith
#define M_BREWING_TAB 7876  	// Brewing related options tab name
#define M_UNITS_TAB 7877  	// Unit settings for the overall program
#define M_HOPS_TAB 7879  	// Options used for bitterness calculations
#define M_COPY_BREW_LOG 7898  	// Make a copy of this recipe in the Brew Log folder
#define M_ADVANCED_TAB 7899  	// Advanced options for brewing
#define M_RECIPE_DB_RIBBON 7945  	// Ribbon used for editing groups of recipes
#define M_SET_DEFAULT_RECIPE 7946  	// Save the current recipe as the default for new recipes
#define M_OU_SET_METRIC 7948  	// Sets the units to be metric
#define M_OU_SET_ENGLISH 7949  	// Sets all of the units to be English units
#define M_OU_SET_IMPERIAL 7950  	// Sets all of the units to be imperial English measures
#define M_REFRACTOMETER_TAB 7973  	// Refractometer calibration options
#define M_REF_CALIBRATE 7978  	// Calibrate the refractometer for use
#define M_YEAST_TAB 7998  	// Settings for the yeast starter calculator
#define M_YEAST_SETTINGS 8004  	// Adjust settings for yeast starter calculations
#define M_THEME_TAB 8012  	// Change the look and feel of BeerSmith
#define M_OLD_DESIGN_TAB 8030  	// An unused id
#define M_CUSTOM_FIELDS 8031  	// Add or remove custom fields in design view
#define M_EDIT_CUST_FIELDS 8033  	// Add/Edit custom fields to the recipe design view
#define M_CLEAR 8045  	// Clears a selected field or item
#define M_MASH_TAB 8054  	// Tab with the mash details for this recipe
#define M_GRAIN_ADJ 8071  	// Adjust the percentages of each grain
#define M_REGISTER 8083  	// Enter the registration key to unlock your product
#define M_ORDER_NOW 8100  	// Order an activation key for BeerSmith
#define M_RECOVER_KEY 8116  	// Command to recover a lost key from the database using your email
#define M_TOOL_FERMENT 8125  	// Used as an icon for fermentation statistics 
#define M_R_YEAST_TAB 8168  	// Yeast starter settings and calculator for this recipe
#define M_PREVIEW_BREWSHEET 8217  	// Prints instructions showing step by step how to brew this recipe
#define M_NOTES_TAB 8222  	// Extended Notes tab
#define M_SET_PRICE 8230  	// Set the price for selected items
#define M_LOGO 8264  	// Only used internally to display logo
#define M_PRINT_RIBBON 8268  	// ID used for the simple print ribbon used at the top of many dialogs
#define M_MAXIMIZE 8279  	// Maximize the current window
#define M_MINIMIZE 8280  	// Minimize/Zoom the current window
#define M_CLOSE_ALL 8281  	// Closes all active views but leaves main frame open
#define M_WINDOWS 8282  	// Menu for managing open windows
#define M_MAIN_FRAME 8283  	// The main frame window as displayed on the windows menu
#define M_HELP_INDEX 8288  	// Main help index
#define M_HELP_FORUM 8289  	// Online BeerSmith discussion forum
#define M_HELP_VIDEO 8290  	// Online video tutorials for BeerSmith 2
#define M_HELP_SUPPORT 8291  	// Online support for BeerSmith 2
#define M_CLOSE_SIDEBAR 8294  	// Close/Show the sidebar
#define M_VIEWS 8296  	// Show main views
#define M_R_SAVE_ING 8305  	// Saves the selected ingredient to your ingredients database for future use
#define M_UPDATE_PRICES 8308  	// Updates the prices in this recipe to match those of your inventory/ingredients
#define M_REPORTS_TAB 8313  	// Add custom report templates to BeerSmith
#define M_O_ADD_REPORT 8314  	// Add a new custom report template
#define M_O_EDIT_REPORT 8320  	// Edit the selected report template
#define M_O_DELETE_REPORT 8321  	// Delete the selected report
#define M_RPT_FMTS 8324  	// Custom report formats
#define M_HELP_BEERSMITH 8333  	// Open the BeerSmith Home Page
#define M_HELP_UPDATES 8336  	// Check online for updates to BeerSmith
#define M_PLUGIN 8344  	// Add-ons and extensions for BeerSmith
#define M_ADD_PLUGIN 8346  	// Add a new plugin
#define M_DELETE_PLUGIN 8347  	// Uninstall and delete a plugin
#define M_INSTALL_PLUGIN 8350  	// Install the selected add-on
#define M_PLUGINS_AVAIL 8351  	// Add ons available
#define M_IMPORT_WIZARD 8353  	// Import files from an earlier version of BeerSmith
#define M_WATER_TAB 8359  	// Tab showing water volumes for this recipe
#define M_INTRO 8373  	// Welcome to BeerSmith Screen
#define M_ACTIVATE 8374  	// Activate this copy of BeerSmith by entering your activation key
#define M_PURCHASE 8375  	// Purchase an activation code for BeerSmith
#define M_TRIAL 8376  	// Continue your 21 day trial of BeerSmith
#define M_INTRO_GETTING_STARTED 8378  	// How to get started with BeerSmith
#define M_INTRO_ACTIVATING 8379  	// How to activate your copy of BeerSmith using a purchased key
#define M_INTRO_EQUIPMENT 8380  	// How to create an equipment profile to match your equipment
#define M_INTRO_FIRST_RECIPE 8381  	// How to create your first recipe using BeerSmith
#define M_INTRO_NAVIGATING 8382  	// How to find your way around BeerSmith 2.0
#define M_INTRO_WHATS_NEW 8384  	// A look at the new features in BeerSmith 2.0
#define M_INTRO_FAQ 8385  	// Some of the most frequently asked questions about BeerSmith 2.0
#define M_INTRO_TABS 8386  	// How to navigate using tabs and windowed browsing
#define M_INTRO_IMPORTING 8387  	// Importing and exporting files from BeerSmith 2
#define M_PREFERENCES 8411  	// Modify the program preferences
#define M_LIMITED 8419  	// Run BeerSmith in a limited mode until you can activate it
#define M_SAVE_PREVIEW 8420  	// Save a copy of this report to a file
#define M_INTRO_UNITS 8439  	// How to set either Metric or English units for BeerSmith
#define M_R_INC_TIME 8465  	// Increase the time for this ingredient
#define M_R_DEC_TIME 8466  	// Decrease the amount of time for this ingredient
#define M_CHANGE_DOC_DIR 8477  	// Change the location where documents are stored
#define M_CHOOSE_HOPS 8515  	// Choose a hops to use in this tool
#define M_DISP_INGREDIENTS 8518  	// Ingredients used in this recipe (shorter version)
#define M_SAVEAS 8554  	// Save this recipe under another name
#define M_PRINT_TAB 8597  	// Print the current recipe tab
#define M_RPT_CHOOSE_FILE 8608  	// Choose file button for custom reports
#define M_HELPS 8627  	// Help menu dropdown for shortcut bar
#define M_SMALL_RIBBON 8629  	// Toggle compact ribbon icons on or off
#define M_CLOUD_TAB 8653  	// The BeerSmith Cloud Settings
#define M_CLOUD_LOGIN 8660  	// Log into your existing account to verify your username and password
#define M_CLOUD_NEW 8661  	// Create a new account with this login and password
#define M_SAVE_R 8706  	// Saves recipe without closing it

// Fields
#define F_HT_MEASURED_SG 6826  	// The measured specific gravity
#define F_TEMPERATURE 6827  	// The temperature
#define F_HT_CORRECTED 6828  	// Corrected specific gravity
#define F_HT_CALIBRATION_TEMP 6829  	// Calibration temperature for the hydrometer
#define F_WV_CURRENT_WEIGHT 6830  	// Current Container Weight - for Weight-Vol Tool
#define F_WV_EMPTY_WEIGHT 6831  	// The weight of the empty container - Weight vol view
#define F_WV_GRAVITY 6832  	// The specific gravity of the liquid
#define F_WV_EST_VOLUME 6833  	// Estimated volume of the full container
#define F_SI_CALC 6834  	// Calculation Type for Strike/Infusion Calculator
#define F_SI_STEP_TEMP 6835  	// Target step temperature for strike/infusion tool
#define F_SI_ADD_VOL 6836  	// Amount of infusion water to add for the infusion tool
#define F_SI_MASH_VOL 6837  	// Mash tun volume needed for infusion tool
#define F_SI_START_VOL 6838  	// Starting water volume for infusion calculator
#define F_SI_GRAIN_WT 6839  	// Total grain weight for infusion tool
#define F_SI_MASH_TEMP 6840  	// Initial mash temperature for infusion tool
#define F_SI_TUN_WEIGHT 6841  	// Mash tun weight for infusion tool
#define F_SI_TUN_SPEC_HEAT 6842  	// Specific heat of mash tun for infusion calculator
#define F_SI_INFUSION_TEMP 6843  	// Infusion Temperature for infusion tool
#define F_SI_WATER_GRAIN 6844  	// Water to grain ratio for infusion tool
#define F_CAR_VOLS 6845  	// Target volumes of CO2 for Carbonation Calculator
#define F_CAR_TEMP 6846  	// Beer temperature for carbonation calculator
#define F_CAR_VOLUME 6847  	// Volume of beer to bottle or keg
#define F_CAR_PRESSURE 6848  	// Keg carbonation pressure for carbonation tool
#define F_CAR_CORN_SUGAR 6849  	// Corn sugar needed
#define F_CAR_DME 6850  	// Amount of DME needed for carbonation tool
#define F_CAR_KEG_CORN 6851  	// Amount of corn sugar needed to keg
#define F_N_NAME 6852  	// Name of the note
#define F_N_DESCRIPTION 6853  	// Short description of the note
#define F_N_TYPE 6854  	// Type of the note
#define F_N_PRIORITY 6855  	// The priority of the note
#define F_N_START_DATE 6856  	// The start date for the task or event
#define F_N_END_DATE 6857  	// The end date for the task or event
#define F_N_NOTES 6858  	// Notes
#define F_H_NAME 6859  	// Name of the hops
#define F_H_ORIGIN 6860  	// Country of origin for the hops
#define F_H_TYPE 6861  	// Type of hops
#define F_H_FORM 6862  	// Form of hops
#define F_H_ALPHA 6863  	// Alpha acid percentage
#define F_H_BETA 6864  	// Beta acid percentage
#define F_H_INVENTORY 6865  	// Inventory of hops
#define F_H_PRICE 6866  	// Price of the hops
#define F_H_HSI 6867  	// Percent alpha lost in 6 months storage
#define F_H_NOTES 6868  	// Notes on the hops
#define F_H_AMOUNT 6869  	// Amount of hops to use
#define F_H_BOIL_TIME 6870  	// Boil time for hops (or steep time if aroma hops)
#define F_H_USE 6871  	// Hops Use
#define F_H_DRY_HOP_TIME 6872  	// Dry hop duration
#define F_G_NAME 6873  	// Name of Malt/Grain/Extract
#define F_G_ORIGIN 6874  	// Country or place of origin
#define F_G_TYPE 6875  	// Type of grain
#define F_G_AMOUNT 6876  	// Amount of grain
#define F_G_YIELD 6877  	// Dry grain yield
#define F_G_COLOR 6878  	// Color of the malt
#define F_G_ADD_AFTER_BOIL 6879  	// Add this sugar/extract after the boil
#define F_G_SUPPLIER 6880  	// Supplier of the malt, extract or sugar
#define F_G_NOTES 6881  	// Notes 
#define F_G_COARSE_FINE_DIFF 6882  	// Coarse fine difference in percent
#define F_G_MOISTURE 6883  	// Moisture content
#define F_G_DIASTATIC_POWER 6884  	// Diastatic power of the grain
#define F_G_PROTEIN 6885  	// Protein content of the grain in percent
#define F_G_MAX_IN_BATCH 6886  	// Recommended maximum percent of grain bill
#define F_G_RECOMMEND_MASH 6887  	// Recommend mashing this item
#define F_G_IBU_GAL_PER_LB 6888  	// IBU content per pound of extract in a gallon of wort
#define F_G_INVENTORY 6889  	// Quantity in inventory
#define F_G_PRICE 6890  	// Price of grain or sugar
#define F_G_POTENTIAL 6891  	// Potential of malt or grain
#define F_G_CONVERT_GRAIN 6892  	// When converting to extract, replace this grain with the following
#define F_T_CELSIUS 6893  	// Temperature in degrees Celsius
#define F_T_FAHRENHEIT 6894  	// Temperature in degrees Fahrenheit
#define F_T_KELVIN 6895  	// Temperature in Kelvin
#define F_SG_SG 6896  	// Specific gravity units
#define F_SG_PLATO 6897  	// Specific gravity in degrees plato
#define F_P_PSI 6898  	// Pressure in pounds per square inch
#define F_P_KPA 6899  	// Pressure in kilopascals
#define F_P_BAR 6900  	// Pressure in bars
#define F_P_ATM 6901  	// Pressure in atmospheres
#define F_W_OZ 6902  	// Weight in ounces
#define F_W_LB 6903  	// Weight in pounds
#define F_W_GRAM 6904  	// Weight in grams
#define F_W_KG 6905  	// Weight in kilograms
#define F_V_FLOZ 6906  	// Fluid Ounces
#define F_V_CUPS 6907  	// Volume in cups
#define F_V_12_OZ 6908  	// Volume in 12 ounce bottles
#define F_V_PINTS 6909  	// Volume in pints
#define F_V_QUARTS 6910  	// Volume in quarts
#define F_V_GALS 6911  	// Volume in gallons
#define F_V_BARRELS 6912  	// Volume in barrels
#define F_V_ML 6913  	// Volume in milliliters
#define F_V_LITERS 6914  	// Volume in liters
#define F_V_IMPOZ 6915  	// Volume in imperial ounces
#define F_V_IMPQT 6916  	// Volume in imperial quarts
#define F_V_IMPGAL 6917  	// Volume in imperial gallons
#define F_V_IMPBARREL 6918  	// Volume in imperial barrels
#define F_V_22_OZ 6919  	// Number of 22 ounce bottles
#define F_V_IMPPT 6920  	// Volume in imperial pints
#define F_D_STEP_TEMP 6921  	// The target temperature for the next step
#define F_D_START_VOL 6922  	// Volume of water at the start of the decoction
#define F_D_GRAIN 6923  	// The dry weight of the grain in the decoction mix
#define F_D_START_TEMP 6924  	// The temperature of the mash before the decoction
#define F_D_TUN_WEIGHT 6925  	// Weight of the mash tun - used for adjusting for equipment
#define F_D_BOIL_TEMP 6926  	// The temperature at which the decoction boils
#define F_D_VOL_DECOCT 6927  	// The volume of mash to decoct and boil
#define F_D_WATER_GRAIN 6928  	// The ratio of water to grain in the mash
#define F_D_TUN_SPEC_HEAT 6929  	// Specific heat of the mash tun
#define F_MA_VOLUME 6930  	// The amount of water currently in the mash
#define F_MA_GRAIN 6931  	// The dry weight of the grain currently in the mash
#define F_MA_START_TEMP 6932  	// The starting temperature of the mash before adjusting
#define F_MA_TUN_WEIGHT 6933  	// The weight of the mash tun used for equipment adjustments
#define F_MA_TUN_SPEC_HEAT 6934  	// The specific heat of the mash tun used for equipment adjustments
#define F_MA_TARGET_TEMP 6935  	// The desired mash temperature
#define F_MA_ADD_TEMP 6936  	// The temperature of the water you are adding
#define F_MA_VOL_NEEDED 6937  	// The amount of water to add to reach the target temperature
#define F_MA_WATER_GRAIN 6938  	// The water to grain ratio of the mash after the addition
#define F_B_START_VOL 6939  	// The volume of wort at the start of the boil
#define F_B_START_GRAVITY 6940  	// The specific gravity of the wort at the start of boil
#define F_B_EVAP_RATE 6941  	// The rate of evaporation as a percent of boil volume
#define F_B_BOIL_TIME 6942  	// The length of the boil
#define F_B_EVAP_VOL_RATE 6943  	// The volume of wort lost each hour.
#define F_B_BOIL_OFF 6944  	// The volume of wort boiled off for this batch.
#define F_B_COOL_LOSS_RATE 6945  	// Shrinkage of the wort due to cooling
#define F_B_COOL_LOSS 6946  	// Volume lost due to cooling shrinkage after the boil
#define F_B_END_VOL 6947  	// Volume of wort remaining after the boil off and cooling period
#define F_B_END_GRAVITY 6948  	// Gravity of the final volume of wort
#define F_AT_START_GRAVITY 6949  	// Specific gravity of the wort before fermentation
#define F_AT_FINAL_GRAVITY 6950  	// Specific gravity of the finished beer after fermentation
#define F_AT_ABV 6951  	// Percent of alcohol in finished beer, measured by volume
#define F_AT_ABW 6952  	// Percent of alcohol content in finished beer, measured by weight
#define F_AT_APPARENT 6953  	// Apparent attenuation of finished beer, a measure of how much sugar fermented
#define F_AT_REAL 6954  	// The real attenuation accounting for alcohol created during fermentation
#define F_AT_TOT_CALORIES 6955  	// Total calorie content for the finished beer
#define F_AT_ALC_CALORIES 6956  	// Calorie content resulting from alcohol
#define F_DT_START_GRAVITY 6957  	// Specific gravity of the wort or beer to be diluted
#define F_DT_START_VOL 6958  	// Volume of the wort or beer to be diluted
#define F_DT_TYPE 6959  	// You may dilute with either water or another beer/wort
#define F_DT_ADD_VOL 6960  	// The volume of wort, beer or water to add to the original beer
#define F_DT_ADD_GRAVITY 6961  	// The specific gravity of the wort or beer to add
#define F_DT_TOT_VOL 6962  	// The total volume of the mixture after the dilution
#define F_DT_FINAL_GRAVITY 6963  	// The specific gravity of the diluted mixture
#define F_HA_NAME 6964  	// Name of hops to be aged
#define F_HA_ALPHA 6965  	// Percent alpha acid content of this hops before aging
#define F_HA_HSI 6966  	// HSI is the average percent of alpha lost in six months for this variety
#define F_HA_AGE 6967  	// Age of the hops in months
#define F_HA_TEMP 6968  	// The temperature at which the hops is stored
#define F_HA_STORAGE 6969  	// The container used to store the hops
#define F_HA_ADJ_ALPHA 6970  	// The alpha content of the hops after aging
#define F_RT_TYPE 6971  	// The type of refractometer calculation to perform
#define F_RT_READING 6972  	// The reading taken from the refractometer
#define F_RT_GRAVITY 6973  	// The original gravity or hydrometer reading
#define F_RT_CORRECTED_GRAVITY 6974  	// The corrected specific gravity corresponding to the refractometer reading
#define F_H_IN_RECIPE 6975  	// Flag indicating hop record is being used in a recipe
#define F_G_IN_RECIPE 6976  	// Flag indicating the grain is used in recipe
#define F_M_NAME 6977  	// Name of the misc ingredient
#define F_M_TYPE 6978  	// Type of miscellaneous ingredient
#define F_M_USE_FOR 6979  	// Use for the miscellaneous item
#define F_M_AMOUNT 6980  	// Amount of the miscellaneous item
#define F_M_UNITS 6981  	// Units for the amount of this item
#define F_M_VOLUME 6982  	// The volume corresponding to the recommended misc amount
#define F_M_INVENTORY 6983  	// Number of these items in inventory
#define F_M_PRICE 6984  	// Price of this item
#define F_M_USE 6985  	// Used during this stage in the brewing process
#define F_M_TIME 6986  	// Recommended amount of time when using this item
#define F_M_TIME_UNITS 6987  	// Units that time is measured in
#define F_M_NOTES 6988  	// Notes for the misc item
#define F_W_NAME 6989  	// Name of the water 
#define F_W_PH 6990  	// PH of the water profile
#define F_W_CALCIUM 6991  	// Calcium content of water in parts per million
#define F_W_MAGNESIUM 6992  	// Magnesium content of water in parts per million
#define F_W_SODIUM 6993  	// Sodium content of water in parts per million
#define F_W_SULFATE 6994  	// Sulfate content of water in parts per million
#define F_W_CHLORIDE 6995  	// Chloride content of water in parts per million
#define F_W_BICARB 6996  	// Bicarbonate content of water in parts per million
#define F_W_GYPSUM 6997  	// Gypsum to add to local water to achieve this profile
#define F_W_SALT 6998  	// Table salt to add to local water to achieve this profile
#define F_W_EPSOM 6999  	// Epsom salt to add to local water to achieve this profile
#define F_W_CACL 7000  	// Calcium Chloride to add to local water to achieve this profile
#define F_W_SODA 7001  	// Baking soda to add to local water to achieve this profile
#define F_W_CHALK 7002  	// Chalk to add to local water to achieve this profile
#define F_W_ADDITIONS_VOL 7003  	// Batch volume associated with the additions
#define F_W_NOTES 7004  	// Notes for this water profile
#define F_W_AMOUNT 7005  	// Amount of water to use in this recipe
#define F_W_IN_RECIPE 7006  	// Flag indicating water record is in a recipe
#define F_Y_NAME 7007  	// Name of the yeast
#define F_Y_LAB 7008  	// Laboratory producing this yeast
#define F_Y_PRODUCT_ID 7009  	// Product ID of this yeast
#define F_Y_TYPE 7010  	// Type of yeast
#define F_Y_FORM 7011  	// Form of the yeast
#define F_Y_FLOCCULATION 7012  	// Flocculation of the yeast
#define F_Y_STARTER_SIZE 7013  	// The size of the starter or yeast package
#define F_Y_INVENTORY 7014  	// Number of yeast packages in inventory
#define F_Y_PRICE 7015  	// Price of the yeast packages
#define F_Y_MIN_ATTENUATION 7016  	// The minimum attenuation of the yeast
#define F_Y_MAX_ATTENUATION 7017  	// Maximum attenuation of the yeast
#define F_Y_MIN_TEMP 7018  	// The minimum recommended temperature for fermentation
#define F_Y_MAX_TEMP 7019  	// The maximum recommended temperature for fermentation
#define F_Y_USE_STARTER 7020  	// Check this box if you are using a separate starter
#define F_Y_AMOUNT 7021  	// The amount of yeast used
#define F_Y_ADD_TO_SECONDARY 7022  	// Indicates yeast is added to secondary fermenter
#define F_Y_TIMES_CULTURED 7023  	// For cultured or reused yeast, the number of times reused
#define F_Y_MAX_REUSE 7024  	// The number of times this yeast may be reused or recultured
#define F_Y_CULTURE_DATE 7025  	// Date when this yeast was last cultured or reused
#define F_Y_BEST_FOR 7026  	// The recommended use for this yeast
#define F_Y_NOTES 7027  	// Notes for this yeast
#define F_Y_IN_RECIPE 7028  	// Flag indicating this yeast is being used in a recipe
#define F_H_AMOUNT_KG 7029  	// Hop amount as measured in KG for BeerXML
#define F_H_DISP_INVENTORY 7030  	// Inventory including units
#define F_H_DISP_AMOUNT 7031  	// Amount of hops with units
#define F_H_XML_TIME 7032  	// Time to boil, steep, mash or dry hop
#define F_G_AMOUNT_KG 7033  	// Amount of grain or fermentable in kilograms
#define F_G_DISP_AMOUNT 7034  	// Amount of fermentable including units
#define F_G_DISP_COLOR 7035  	// Color of the fermentable
#define F_H_DISP_TIME 7036  	// Time to use hops
#define F_G_DISP_INVENTORY 7037  	// Inventory with units displayed
#define F_M_DISP_AMOUNT 7038  	// Amount of the misc item including units
#define F_M_DISP_TIME 7039  	// Time to use this item 
#define F_M_DISP_INVENTORY 7040  	// Inventory of misc items
#define F_W_AMOUNT_L 7041  	// Amount of water in liters
#define F_W_DISP_AMOUNT 7042  	// Amount of water
#define F_Y_AMOUNT_L 7043  	// Amount of yeast in liters
#define F_Y_DISP_AMOUNT 7044  	// Amount of yeast
#define F_Y_DISP_MIN_TEMP 7045  	// Minimum temperature for fermentation
#define F_Y_DISP_MAX_TEMP 7046  	// Max temperature for fermentation
#define F_Y_DISP_INVENTORY 7047  	// Inventory of yeast
#define F_Y_MIN_TEMP_C 7048  	// The minimum temperature for fermentation
#define F_Y_MAX_TEMP_C 7049  	// Maximum temperature for fermentation
#define F_Y_ATTENUATION 7050  	// Average attenuation for this yeast
#define F_S_NAME 7051  	// Name of this style
#define F_S_CATEGORY 7052  	// Category for this beer style
#define F_S_GUIDE 7053  	// The style guide determines which styles are displayed
#define F_S_NUMBER 7054  	// The number of the style
#define F_S_LETTER 7055  	// The category letter associated with this style
#define F_S_TYPE 7056  	// The type of beer for this style
#define F_S_MIN_OG 7057  	// The minimum starting gravity of this beer
#define F_S_MAX_OG 7058  	// The maximum starting gravity for the beer
#define F_S_MIN_FG 7059  	// The minimum final gravity for this beer
#define F_S_MAX_FG 7060  	// The maximum final gravity for this beer
#define F_S_MIN_IBU 7061  	// The minimum bitterness for this beer
#define F_S_MAX_IBU 7062  	// The maximum bitterness for this beer style
#define F_S_MIN_CARB 7063  	// The minimum recommended carbonation for this beer
#define F_S_MAX_CARB 7064  	// The maximum recommended carbonation for this beer
#define F_S_MIN_COLOR 7065  	// The minimum color recommended for this beer
#define F_S_MAX_COLOR 7066  	// The maximum color recommended for this beer style
#define F_S_MIN_ABV 7067  	// The minimum alcohol by volume for this style
#define F_S_MAX_ABV 7068  	// The maximum alcohol by volume for this beer style
#define F_S_DESCRIPTION 7069  	// A description of the overall beer style
#define F_S_PROFILE 7070  	// A profile of the character and taste of this beer style
#define F_S_INGREDIENTS 7071  	// Ingredients typically used in formulating this beer style
#define F_S_EXAMPLES 7072  	// Examples of popular styles or commercial beers from this style
#define F_S_WEB_LINK 7073  	// A web link to the source style guide 
#define F_S_OG_RANGE 7074  	// Original gravity range for this style
#define F_S_FG_RANGE 7075  	// Final gravity range for this style
#define F_S_IBU_RANGE 7076  	// Bitterness range for this style
#define F_S_CARB_RANGE 7077  	// The range of recommended carbonation for this style
#define F_S_COLOR_RANGE 7078  	// The recommended color range for this style
#define F_S_ABV_RANGE 7079  	// The alcohol by volume range for this style
#define F_S_DISP_OG_MIN 7080  	// Minimum original gravity for this style
#define F_S_DISP_OG_MAX 7081  	// Maximum original gravity for this style
#define F_S_DISP_FG_MIN 7082  	// The minimum final gravity for this style
#define F_S_DISP_FG_MAX 7083  	// The maximum final gravity for this style
#define F_S_DISP_COLOR_MIN 7084  	// The minimum color for this beer style
#define F_S_DISP_COLOR_MAX 7085  	// The maximum color for this beer style
#define F_E_NAME 7086  	// Name of the equipment profile
#define F_E_MASH_VOL 7087  	// The volume of the mash tun
#define F_E_TUN_MASS 7088  	// The weight of the mash tun
#define F_E_TUN_SPECIFIC_HEAT 7089  	// The specific heat of the mash tun
#define F_E_TUN_DEADSPACE 7090  	// Volume of the deadspace in the lauter tun
#define F_E_TOP_UP 7091  	// The volume of water added to the fermenter
#define F_E_BOIL_VOL 7092  	// The volume of water at the start of the boil
#define F_E_CALC_BOIL 7093  	// Calculate the boil volume automatically
#define F_E_OLD_EVAP_RATE 7094  	// OLD evap rate - used for importing old BeerSmith files
#define F_E_BOIL_TIME 7095  	// The total boil time in minutes
#define F_E_BOIL_OFF 7096  	// The amount of water evaporated during the boil (OLD)
#define F_E_TRUB_LOSS 7097  	// The volume of wort lost due to trub and chiller deadspace
#define F_E_COOL_PCT 7098  	// The percent of volume lost to shrinkage during cooling
#define F_E_COOL_LOSS 7099  	// The volume lost to shrinkage during cooling
#define F_E_BATCH_VOL 7100  	// The batch volume for the beer as measured into the fermenter
#define F_E_FERMENTER_LOSS 7101  	// The volume of beer lost during fermentation/transfers
#define F_E_FINAL_VOL 7102  	// The volume that remains for bottling/kegging (not including yeast starter)
#define F_E_EFFICIENCY 7103  	// The gross efficiency of the brewhouse
#define F_E_HOP_UTIL 7104  	// Hop utilization factor
#define F_E_NOTES 7105  	// Notes
#define F_E_DISP_BATCH_VOL 7106  	// The batch volume into the fermenter
#define F_E_DISP_BOIL_VOL 7107  	// The volume of wort at the start of the boil
#define F_E_DISP_TUN_VOL 7108  	// The volume of the mash tun
#define F_E_DISP_TUN_WEIGHT 7109  	// The weight of the mash tun
#define F_E_DISP_TOP_UP_WATER 7110  	// Water to add at the beginning of the boil
#define F_E_DISP_TRUB_LOSS 7111  	// Losses due to trub and chiller deadspace
#define F_E_DISP_LAUTER_DEADSPACE 7112  	// Loss due to deadspace in the lauter tun
#define F_E_TOP_UP_KETTLE 7113  	// Water added at the start of boil to "top up" the kettle
#define F_E_DISP_TOP_UP_KETTLE 7114  	// Top up water added at the beginning of the boil
#define F_E_BATCH_SIZE_L 7115  	// Batch size into the fermenter in liters
#define F_E_BOIL_SIZE_L 7116  	// Boil volume at the start of the boil
#define F_E_TUN_VOL_L 7117  	// The volume of the mash tun in liters
#define F_E_TUN_WEIGHT_KG 7118  	// The mash tun weight in kilograms
#define F_E_TOP_UP_L 7119  	// Top up water added to the fermenter
#define F_E_TRUB_LOSS_L 7120  	// Trub and chiller losses in liters
#define F_E_TUN_DEADSPACE_L 7121  	// Mash tun deadspace in liters
#define F_E_TOP_UP_KETTLE_L 7122  	// Volume of water added at the start of boil
#define F_MS_NAME 7123  	// Name of the mash step
#define F_MS_TYPE 7124  	// Type of the mash step
#define F_MS_INFUSION 7125  	// The amount of water to infuse/add in this step
#define F_MS_WATER_GRAIN 7126  	// The water to grain ratio of the mash
#define F_MS_DESCRIPTION 7127  	// A description of the mash step
#define F_MS_STEP_TEMP 7128  	// The target step temperature for this mash step
#define F_MS_STEP_TIME 7129  	// The amount of time to hold this mash step
#define F_MS_RISE_TIME 7130  	// The time it takes to achieve the target mash temperature
#define F_MS_INFUSION_TEMP 7131  	// The temperature of the infusion water to add
#define F_MS_DECOCTION_AMT 7132  	// The volume of mash to decoct for this step
#define F_MS_INFUSION_L 7133  	// The amount of infusion water to add
#define F_MS_STEP_TEMP_C 7134  	// The step temperature in degrees Celsius
#define F_MS_END_TEMP_C 7135  	// The temperature at the end of this mash step
#define F_MS_DISP_WATER_GRAIN 7136  	// The water to grain ratio of the mash
#define F_MS_DISP_DECOCT_AMT 7137  	// The volume of mash to decoct for this step
#define F_MS_DISP_INFUSE_AMT 7138  	// The amount of water to add/infuse for this step
#define F_MS_DISP_INFUSE_TEMP 7139  	// The temperature of the infusion water to add this step
#define F_MS_DISP_STEP_TEMP 7140  	// The target temperature for this mash step
#define F_MS_GRAIN_WEIGHT 7141  	// The weight of grain in the mash for this step
#define F_MS_START_VOL 7142  	// The volume of water in the mash at the start of this step
#define F_MH_NAME 7143  	// Name of the mash profile
#define F_MH_TUN_VOL 7144  	// The volume of your mash tun
#define F_MH_GRAIN_WEIGHT 7145  	// The grain weight for the mash profile
#define F_MH_GRAIN_TEMP 7146  	// The temperature of the grain before mashing
#define F_MH_BOIL_TEMP 7147  	// The temperature at which the mash boils
#define F_MH_TUN_TEMP 7148  	// The temperature of the mash tun before mashing
#define F_MH_STEPS 7149  	// The steps for this mash profile
#define F_MH_PH 7150  	// The PH of the mash during conversion
#define F_MH_SPARGE_TEMP 7151  	// The temperature of the sparge water
#define F_MH_BATCH 7152  	// A flag indicating a batch sparge is being used
#define F_MH_BATCH_PCT 7153  	// The percent of the mash tun to fill for each batch step
#define F_MH_BATCH_EVEN 7154  	// When batch sparging, use equal size batches
#define F_MH_BATCH_DRAIN 7155  	// Drain the mash tun before starting to sparge
#define F_MH_NOTES 7156  	// Notes for this mash profile
#define F_MH_EQUIP_ADJUST 7157  	// When checked, the mash calculations adjust for equipment settings
#define F_MH_TUN_VOL_NEEDED 7158  	// The mash volume needed to complete this mash
#define F_MH_TUN_MASS 7159  	// The weight of the mash tun
#define F_MH_TUN_HC 7160  	// The specific heat of the mash tun
#define F_MH_NUM_STEPS 7161  	// The number of steps in this mash profile
#define F_MH_GRAIN_TEMP_C 7162  	// The grain temperature before mashing in Celsius
#define F_MH_TUN_TEMP_C 7163  	// Mash tun temperature in degrees Celsius before mashing
#define F_MH_SPARGE_TEMP_C 7164  	// Sparge temperature in degrees Celsius
#define F_MH_TUN_WEIGHT_KG 7165  	// The mash tun weight in kilograms
#define F_MH_DISP_GRAIN_TEMP 7166  	// The grain temperature before mashing
#define F_MH_DISP_TUN_TEMP 7167  	// The mash tun temperature before mashing
#define F_MH_DISP_SPARGE_TEMP 7168  	// The sparge temperature for this mash profile
#define F_MH_DISP_TUN_WEIGHT 7169  	// The mash tun weight 
#define F_RECALCULATE 7170  	// A "dummy" field that forces recalculation of a data item
#define F_MH_DISP_GRAIN_WEIGHT 7171  	// Grain weight display for BeerXML/other
#define F_H_IBU_CONTRIB 7172  	// IBU contribution for this hop as part of a recipe (set in recipe)
#define F_G_LATE_EXTRACT 7173  	// Time to boil a late extract addition in minutes
#define F_R_NAME 7174  	// Name of the recipe
#define F_R_BREWER 7175  	// Name of the brewer
#define F_R_ASST_BREWER 7176  	// Name of the assistant brewer
#define F_R_COLOR 7177  	// Estimated color of this beer
#define F_R_DATE 7178  	// Date when this recipe was brewed
#define F_R_EQUIPMENT 7179  	// Equipment profile used for this recipe
#define F_R_OG 7180  	// The estimated original gravity of this recipe
#define F_R_FG 7181  	// Estimated final gravity for this recipe
#define F_R_INGREDIENTS 7182  	// The ingredients used in this recipe
#define F_R_LOCKED 7183  	// Locks a recipe to prevent accidental editing
#define F_R_MASH 7184  	// The mash profile used for this recipe
#define F_R_STYLE 7185  	// The beer style used for this recipe
#define F_R_OG_MEASURED 7186  	// Measured original gravity 
#define F_R_FG_MEASURED 7187  	// Measured final gravity of the finished beer
#define F_R_OG_BOIL 7188  	// Specific gravity at the beginning of the boil
#define F_R_BOIL_VOL_MEASURED 7189  	// Volume measured at the beginning of the boil
#define F_R_NOTES 7190  	// Notes for this recipe
#define F_R_RATING 7191  	// Rating of this recipe on a 50 point scale
#define F_R_DESCRIPTION 7192  	// Notes about the profile, taste and character of the finished beer
#define F_R_TYPE 7193  	// Type of the overall recipe
#define F_R_CARB_VOLS 7194  	// Carbonation of the beer in volumes of CO2
#define F_R_VOLUME 7195  	// The estimated batch size of the recipe, as measured into the fermenter
#define F_R_EFFICIENCY 7196  	// The gross brewhouse efficiency of the process from mashing to the fermenter
#define F_R_BOIL_VOL 7197  	// The volume of wort at the start of the boil
#define F_R_CALC_BOIL 7198  	// Calculate the boil volume based on equipment settings
#define F_R_BOIL_TIME 7199  	// The amount of time to boil the wort
#define F_R_TOT_GRAINS 7200  	// The total weight of all grains and extracts in the recipe
#define F_R_TOT_HOPS 7201  	// The total weight of all hops used in this recipe
#define F_R_TOT_COST 7202  	// The total cost of the ingredients used in this recipe
#define F_R_IBU 7203  	// The bitterness of the recipe as measured in IBUs
#define F_R_OG_RANGE 7204  	// Original gravity range for this style
#define F_R_FG_RANGE 7205  	// Range of final gravity values for this style
#define F_R_COLOR_RANGE 7206  	// Range of color values for this beer style
#define F_R_CARB_RANGE 7207  	// Recommended carbonation range for this style
#define F_R_IBU_RANGE 7208  	// Recommended bitterness range for this style
#define F_R_CALORIES_EST 7209  	// Estimated number of calories for this recipe
#define F_R_CALORIES_MEASURED 7210  	// Calories based on measured OG and FG for this beer
#define F_R_ABV_RANGE 7211  	// Alcohol by volume range for this beer style
#define F_R_EST_ABV 7212  	// Estimated alcohol by volume for this recipe
#define F_R_ABV_MEASURED 7213  	// Alcohol by volume based on measured OG, FG
#define F_R_BITTERNESS_RATIO 7214  	// Estimated bitterness ratio of the recipe (IBUs divided by OG)
#define F_R_AAU 7215  	// Home bitterness units (also called AAU) for this recipe
#define F_R_ABW 7216  	// Estimated alcohol percentage by weight
#define F_R_ABW_MEASURED 7217  	// Alcohol by weight based on measured OG, FG
#define F_R_STYLE_NAME 7218  	// Name of the style profile for this recipe
#define F_R_EQUIP_NAME 7219  	// Name of the equipment profile for this recipe
#define F_R_MASH_NAME 7220  	// Name of the mash profile used for this recipe
#define F_R_OG_BOIL_MEASURED 7221  	// Specific gravity measured at the beginning of the boil
#define F_TMP_TABLE 7222  	// Temporary table used for scratch calcs
#define F_R_CARB_MIN 7223  	// Minimum recommended style carbonation
#define F_R_CARB_MAX 7224  	// Maximum recommended carbonation from style guide
#define F_R_CARB_SLIDER 7225  	// Slider field for carbonation in design of recipes
#define F_R_OG_SLIDER 7226  	// Original gravity slider for recipe design
#define F_R_IBU_SLIDER 7227  	// IBU slider for design of recipes
#define F_R_COLOR_SLIDER 7228  	// Color slider for recipe design tab
#define F_R_OG_MIN 7229  	// Minimum recommended OG from style guide
#define F_R_OG_MAX 7230  	// Maximum recommended OG from style guide
#define F_R_IBU_MIN 7231  	// Minimum IBUs recommended from style guide
#define F_R_IBU_MAX 7232  	// Maximum recommended IBUs from style guide
#define F_R_COLOR_MIN 7233  	// Minimum recommended color from style guide
#define F_R_COLOR_MAX 7234  	// Maximum recommended color from style guide
#define F_NAME 7235  	// Name of the item
#define F_AMOUNT 7236  	// Amount of this item
#define F_TYPE 7237  	// Type of ingredient
#define F_LONG_NAME 7238  	// Long name for this ingredient
#define F_PERCENT 7239  	// Percent of total for this ingredient or IBUS
#define F_IBU 7240  	// IBU contribution of hop ingredients
#define F_G_PERCENT 7241  	// Percent of total grains
#define F_S_DISP_CATNUM 7242  	// Sortable category number with letter for column display
#define F_SH_NAME 7243  	// The name of the item
#define F_SH_AMOUNT 7244  	// The amount to purchase
#define F_SH_OBJECT 7245  	// Used internally to track shopping items
#define F_SH_NOTES 7246  	// Notes about this item
#define F_SH_PRICE 7247  	// Total cost for these items
#define F_SH_TYPE 7248  	// Type of item to purchase
#define F_SH_UNITS 7249  	// Units for this item
#define F_SH_INVENTORY 7250  	// Number of items currently in stock
#define F_SH_NEEDED 7251  	// Number of items needed beyond current inventory
#define F_SH_UNIT_PRICE 7252  	// Cost of the item per unit purchased
#define F_H_PERCENT 7253  	// Percent of hops (used in recipe column displays)
#define F_M_TEMP_VOL 7254  	// Temporary volume used to scale the misc ingredients
#define F_R_STYLE_DESCRIPTION 7255  	// Profile for this recipe style
#define F_R_STYLE_INGREDIENTS 7256  	// Ingredients for this beer style
#define F_R_IMAGE 7257  	// Image displayed when creating recipes
#define F_R_DESIRED_IBU 7258  	// Desired bitterness for the recipe
#define F_R_DESIRED_IBU_SLIDER 7259  	// Desired IBU
#define F_R_DESIRED_COLOR 7260  	// Desired color for the beer
#define F_R_DESIRED_COLOR_SLIDER 7261  	// Desired color
#define F_R_DESIRED_OG 7262  	// Desired original gravity into fermented
#define F_R_DESIRED_OG_SLIDER 7263  	// Desired original gravity range
#define F_R_OLD_VOL 7264  	// Old Batch Volume
#define F_R_OLD_BOIL_VOL 7265  	// Boil volume prior to scaling
#define F_R_OLD_EFFICIENCY 7266  	// Efficiency of the batch before scaling
#define F_R_OLD_TYPE 7267  	// Old recipe type
#define F_R_BASE_GRAIN 7268  	// Base grain used in recipe conversions
#define F_R_BASE_GRAIN_NAME 7269  	// Base grain to use in converting the recipe
#define F_R_TABS 7270  	// Notebook containing tabs for recipe design
#define F_MH_TOT_WATER 7271  	// Total mash water added
#define F_R_MASH_GRAIN_WEIGHT 7272  	// Total weight of grains added to the mash
#define F_R_MASH_TOT_WATER 7273  	// Total volume of water added to the mash
#define F_R_SPARGE_VOL 7274  	// Volume of water to use while sparging
#define F_R_MASH_PH 7275  	// The pH measured during the mashing process
#define F_R_RUNOFF_PH 7276  	// The pH of the runnings at the end of the lautering process
#define F_R_TOP_UP_KETTLE 7277  	// Amount of top up water to add before boil
#define F_R_TUN_DEADSPACE 7278  	// Deadspace loss in the mash tun
#define F_R_BOIL_OFF 7279  	// Amount of water boiled off
#define F_R_EVAP_RATE 7280  	// Evaporation rate during boil
#define F_R_COOL_PCT 7281  	// Percent of volume loss due to shrinkage 
#define F_R_COOL_LOSS 7282  	// Volume of wort shrinkage during cooling
#define F_R_EST_MASH_EFFICIENCY 7283  	// The estimated efficiency into the boiler
#define F_R_MASH_EFFICIENCY_MEASURED 7284  	// Mash efficiency based on measured OG and volume into boiler
#define F_R_TRUB_LOSS 7285  	// Losses of wort due to trub, deadspace and transfer
#define F_R_TOP_UP 7286  	// Water added to fermenter
#define F_R_VOLUME_MEASURED 7287  	// Actual volume into the fermenter
#define F_R_EFFICIENCY_MEASURED 7288  	// Brewhouse efficiency based on volume and gravity measured into the fermenter
#define F_R_BATCH_SIZE_L 7289  	// Batch size in liters
#define F_R_BOIL_SIZE_L 7290  	// Boil size in liters
#define F_R_DISP_VOLUME 7291  	// Batch size into the fermenter
#define F_R_DISP_BOIL_VOL 7292  	// Volume at the start of the boil
#define F_R_DISP_OG 7293  	// Measured original gravity of the batch
#define F_R_DISP_FG 7294  	// Measured final gravity of the batch
#define F_C_NAME 7295  	// Name of this carbonation profile
#define F_C_TEMPERATURE 7296  	// Temperature of the beer when bottling, or for keg storage
#define F_C_TYPE 7297  	// Type of carbonation used
#define F_C_CARB_RATE 7298  	// Effectiveness of this priming agent as a percentage of regular corn sugar
#define F_C_NOTES 7299  	// Notes on this carbonation method
#define F_C_PRIMER_NAME 7300  	// Priming agent used to carbonate the beer
#define F_R_CARB 7301  	// Carbonation profile for this recipe
#define F_R_CARB_NAME 7302  	// Carbonation profile used in this beer
#define F_R_CARB_AMOUNT 7303  	// Carbonate with this pressure or amount of priming sugar
#define F_R_FINAL_VOL 7304  	// Volume of batch at bottling/kegging
#define F_R_FINAL_VOL_MEASURED 7305  	// Volume measured at bottling
#define F_A_NAME 7306  	// Name of the aging profile
#define F_A_TYPE 7307  	// Type of the fermentation profile
#define F_A_PRIM_DAYS 7308  	// Length of time to leave the beer in the primary fermenter
#define F_A_PRIM_TEMP 7309  	// Starting temperature for primary fermentation
#define F_A_SEC_DAYS 7310  	// Time to leave beer in the secondary
#define F_A_SEC_TEMP 7311  	// Starting temperature for the secondary fermentation
#define F_A_TERT_DAYS 7312  	// Time in the tertiary fermenter
#define F_A_TERT_TEMP 7313  	// Starting temperature for the tertiary fermentation
#define F_A_AGE 7314  	// Time to age the beer after bottling or kegging
#define F_A_AGE_TEMP 7315  	// Store the beer, starting at this temperature
#define F_A_END_AGE_TEMP 7316  	// Temperature at the end of storage, if temperature is ramped
#define F_A_NOTES 7317  	// Notes for this age profile
#define F_R_AGE 7318  	// Fermentation and age profile for this recipe
#define F_R_AGE_NAME 7319  	// Fermentation and aging profile for this recipe
#define F_R_PRIM_DAYS 7320  	// Time in the primary fermenter in days
#define F_R_SEC_DAYS 7321  	// Time in the secondary in days
#define F_R_TERT_DAYS 7322  	// Time in the tertiary fermenter in days
#define F_R_PRIM_TEMP 7323  	// Start temperature for the primary fermenter
#define F_R_SEC_TEMP 7324  	// Start temperature of the secondary fermentation
#define F_R_TERT_TEMP 7325  	// Start temperature of the tertiary fermentation
#define F_R_AGE_DAYS 7326  	// Time to store the beer in days
#define F_R_AGE_TEMP 7327  	// Storage temperature when aging the beer
#define F_R_END_AGE_TEMP 7328  	// Temperature at end of storage if lagering
#define F_R_AGE_TYPE 7329  	// The number of fermentation stages
#define F_R_AGE_STAGES 7330  	// The number of fermentation stages
#define F_R_AGE_NOTES 7331  	// Notes on the aging profile for this recipe
#define F_R_CARB_TEMP 7332  	// Temperature at bottling or for storage if kegging
#define F_R_CARB_TYPE 7333  	// Carbonation type used
#define F_R_CARB_RATE 7334  	// Carbonation rate of this priming agent as a percentage related to corn sugar
#define F_R_CARB_NOTES 7335  	// Notes for this carbonation profile
#define F_R_CARB_PRIMER_NAME 7336  	// Priming agent used for carbonation
#define F_R_CARB_EQUIV 7337  	// Factor converting priming sugar to equivalent amount of corn sugar for bottling
#define F_R_CARB_KEG_FACTOR 7338  	// Factor used to calculate sugar needed when priming kegs
#define F_R_CARB_FORCED 7339  	// True if using forced carbonation, and false if not
#define F_R_CARB_USED 7340  	// Text description of the carbonation method used
#define F_R_DISP_PRIM_TEMP 7341  	// Primary fermentation temperature
#define F_R_DISP_SEC_TEMP 7342  	// Temperature for secondary fermentation
#define F_R_DISP_TERT_TEMP 7343  	// Temperature for tertiary fermentation
#define F_R_DISP_AGE_TEMP 7344  	// Temperature for aging the beer
#define F_R_DISP_CARB_TEMP 7345  	// Temperature at bottling, or storage temperature for keg
#define F_ST_NAME 7346  	// Description for this step
#define F_ST_DONE 7347  	// Marked if this step is complete
#define F_ST_CUSTOM 7348  	// True if this is a custom step
#define F_ST_DURATION 7349  	// Duration of this step
#define F_ST_DATE 7350  	// Date when this step was completed
#define F_ST_TYPE 7351  	// Type of this step (timed, untimed, etc)
#define F_ST_TIMING 7352  	// Timing for this step - defines where it is done
#define F_ST_SEQUENCE 7353  	// Subsequence number
#define F_ST_ICON 7354  	// Icon for this step
#define F_INVENTORY 7355  	// Amount of this item in inventory
#define F_R_INV_DATE 7356  	// Date the recipe was last removed from inventory
#define F_PRICE 7357  	// Unit Price
#define F_R_SECONDARY_DATE 7358  	// Date to transfer brew to secondary fermenter
#define F_R_TERTIARY_DATE 7359  	// Date to transfer brew to tertiary fermenter
#define F_R_BOTTLE_DATE 7360  	// Date to bottle or keg this beer
#define F_R_END_DATE 7361  	// Date when beer has completed aging
#define F_H_I_DRY_HOP 7570  	// Used for IMPORTING dry hops from old BeerSmith
#define F_H_I_MASH_HOP 7571  	// Used only for IMPORTING old BS Hops
#define F_H_I_AROMA_HOP 7572  	// Used for IMPORTING old BS Aroma hops
#define F_H_I_FIRST_HOP 7573  	// Used for importing OLD BS Hops
#define F_I_H_PURCH_AMT 7575  	// Used to import old purchase amounts from old BS
#define F_I_SCHEMA 7576  	// ID Used for importer schema
#define F_I_ID 7577  	// ID for importing old BeerSmith stuff
#define F_I_OFFSET 7578  	// OFFSET for importing/exporting old BS data
#define F_I_TYPE 7579  	// Type for importing old BS Stuff
#define F_I_LEN 7580  	// Length used when importing old BS files
#define F_I_HOPS 7581  	// Hops schema table for importing old file formats
#define F_I_G_PURCH_AMT 7584  	// Purchase amount for grains - used only for importing
#define F_I_G_LATE_EXTRACT 7585  	// Late Extract Boil Time
#define F_IG_H_AMT 7586  	// Hop Amt used for importing hopped extract
#define F_IG_H_ALPHA 7587  	// Hop Alpha or hopped extract
#define F_IG_H_BOIL_TIME 7588  	// Boil time for hopped extract (equiv)
#define F_I_GRAIN 7589  	// Table used for importing grains
#define F_IG_PRICE_INIT 7590  	// Internal flag used for importing old grains
#define F_IG_BOIL_TIME 7591  	// Boil time used for importing old grains
#define F_IY_PURCH_AMT 7594  	// Yeast purchase amount used for import
#define F_I_YEAST 7595  	// Structure used for importing yeasts
#define F_I_EQUIP 7596  	// Used for importing equipment
#define F_I_MASH 7597  	// Used when importing mash profiles
#define F_I_MASHSTEP 7598  	// Used for importing mash steps
#define F_I_WATER 7599  	// Water profile used only for importing
#define F_IE_COOL_INIT 7600  	// Flag used when importing equipment
#define F_IM_PURCH_AMT 7601  	// Purch Amt used for importing misc items
#define F_IM_AMT_IS_WEIGHT 7602  	// Used for importing/exporting misc items
#define F_IM_PRICE_INIT 7603  	// Flag used when importing misc items
#define F_I_MISC 7604  	// Table used for importing old format Beersmith misc items
#define F_I_STYLE 7605  	// Style import table for old BSM files
#define F_IS_NUMBER 7606  	// Category number - used for style import
#define F_IS_LETTER 7607  	// Style letter used for importing old files
#define F_I_NOTE 7608  	// Used to import notes from old formats
#define F_IR_NEW_NOTES 7611  	// Used for importing old BeerSmith recipes
#define F_IR_OLD_NOTES 7612  	// Old name used for importing recipes
#define F_IR_EQUIP 7613  	// Old equipment ptr used for importing old recipes
#define F_I_RECIPE 7614  	// Used for importing old recipes
#define F_IR_COLOR 7615  	// Used for exporting color of recipes to old format
#define F_IG_SHOW_INVENTORY 7620  	// Used for importing old grains
#define F_IG_H_CAN_SIZE 7621  	// Used for importing old grains
#define F_Y_AMT_IS_WEIGHT 7632  	// Used only for BeerXML Exports - defaults to false
#define F_M_AMT_IS_WEIGHT 7633  	// Used only for exporting to BeerXML files
#define F_M_DISP_BATCH_SIZE 7634  	// Batch Size with Units for XML export
#define F_M_XML_AMT 7637  	// Amount of misc item for XML export
#define F_M_XML_TIME 7638  	// Time for exporting (BeerXML)
#define F_MH_STEP_TABLE 7641  	// Steps in the mash process
#define F_RS_HOPS 7642  	// Hops used in this recipe
#define F_RS_FERMENTABLES 7645  	// Fermentables in a recipe
#define F_RS_MISCS 7646  	// Miscellaneous ingredients in a recipe
#define F_RS_WATERS 7647  	// Waters used in a recipe
#define F_RS_YEASTS 7648  	// Yeasts used in a recipe
#define F_RS_STYLE 7649  	// Style for a recipe
#define F_RS_EQUIPMENT 7650  	// Equipment for a recipe
#define F_RS_MASH 7651  	// Mash used in a recipe
#define F_R_MASH_GRAIN_TEMP 7652  	// Grain temperature before mashing
#define F_R_SPARGE_TEMP 7653  	// Temperature of the sparge water
#define F_R_MASH_EQUIP_ADJUST 7654  	// Adjust mash temperature to account for equipment
#define F_R_MASH_TUN_TEMP 7656  	// The temperature of the mash tun before mashing
#define F_R_DISP_CARB_VOLS 7657  	// Carbonation level in volumes
#define F_R_MASH_NOTES 7658  	// Notes for the mash 
#define F_R_MASH_ING 7661  	// Ingredients used in the mash
#define F_R_STEEP_ING 7662  	// Grains that are steeped
#define F_R_BOIL_ING 7663  	// Ingredients added during the boil
#define F_R_STEEP_HOPS 7664  	// Aroma hops steeped at the end of the boil
#define F_R_PRIMARY_ING 7665  	// Ingredients added in the primary fermentation
#define F_R_SECONDARY_ING 7666  	// Ingredients added to the secondary fermentation
#define F_R_BOTTLING_ING 7667  	// Ingredients added when bottling or dry hopping
#define F_R_WATER_PREP 7668  	// Water preparation steps
#define F_R_FERMENT_ING 7669  	// Ingredients added at the start of fermentation
#define F_BOIL_TIME 7670  	// The amount of time to boil an ingredient
#define F_G_BOIL_TIME 7671  	// Boil time for this extract/grain
#define F_RS_MASH_STEPS 7672  	// Mash steps
#define F_R_RGB_COLOR 7673  	// Color of recipe in RGB format for use in HTML
#define F_RS_COLOR_SWATCH 7674  	// Color swatch will show up in HTML mode for this tag
#define F_YC_TYPE 7687  	// Type of yeast used for starter
#define F_YC_VOL 7688  	// Total volume of wort
#define F_YC_OG 7689  	// Original gravity of the wort
#define F_YC_VIABILITY 7690  	// Viability of the yeast cells (% living)
#define F_YC_DATE 7691  	// Date the yeast was produced or harvested
#define F_Y_CALC_VIABILITY 7692  	// Check if you want the viability calculated based on the yeast date
#define F_YC_CELLS 7694  	// Total number of yeast cells needed 
#define F_YC_STARTER_SIZE 7695  	// The size of the starter needed
#define F_YC_PACKS 7696  	// The number of large yeast packs/vials needed for this starter
#define F_YC_RAW_PACKS 7697  	// Number of yeast packs or vials that are needed if no starter is used
#define F_YC_DRY_GRAMS 7698  	// Grams of dry yeast needed for pitching
#define F_YC_DRY_HYDRATE 7699  	// The volume of water to use for hydrating this dry yeast
#define F_YC_SLURRY 7700  	// The volume of slurry needed for pitching
#define F_YC_YEAST_FORM 7702  	// The form of yeast used (liquid, dry, slurry)
#define F_YC_EST_VIABILITY 7703  	// Viability of the yeast (percent of live cells)
#define F_YC_STIR_PLATE 7707  	// Check if using a stir plate with your starter
#define F_YC_PACK_SIZE 7709  	// The number of cells contained in the yeast stater pack
#define F_YC_DRY_5 7713  	// The number of 5 gram dry yeast packets needed for fermentation
#define F_YC_DRY_11 7714  	// The number of 11.5 gram (large) dry yeast packs needed
#define F_YC_CALC_VIABILITY 7718  	// Check this to estimate the viability of the yeast based on its age
#define F_HB_VOL 7727  	// The volume into the fermenter for the finished batch
#define F_HB_BOIL_VOL 7728  	// The starting volume of the boil
#define F_HB_OG 7729  	// The estimated original gravity of the boil
#define F_HB_FORMULA 7730  	// The formula to use when estimating the hops IBUs
#define F_HB_IBU 7731  	// The calculated international bitterness units for this hop schedule
#define F_HB_AAU 7732  	// The calculated number of alpha acid units for this hop schedule
#define F_HB_HOPS 7733  	// The table of hops used for calculating bitterness
#define F_HB_HOP_UTIL 7742  	// Hop utilization for large batches - set to 100% for batches smaller than 20 gal
#define F_WN_BREW_TYPE 7743  	// The type of recipe you are brewing
#define F_WN_MASH_VOL 7744  	// The total volume of mash water used 
#define F_WN_GRAIN_WEIGHT 7745  	// The total grain weight used in the mash
#define F_WN_GRAIN_ABSORB 7746  	// The amount of mash water absorbed by the grain
#define F_WN_LAUTER_DEADSPACE 7747  	// Water lost to deadspace in the mash tun itself
#define F_WN_TOP_UP_KETTLE 7748  	// The amount of water added at the start of boil to top it up
#define F_WN_SPARGE_WATER 7749  	// The amount of water needed for sparging
#define F_WN_BOIL_VOL 7750  	// The starting volume of the boil
#define F_WN_BOIL_OFF 7751  	// The volume of water evaporated during the boil
#define F_WN_TRUB_LOSS 7752  	// Amount of wort lost to trub and the chiller when transferring
#define F_WN_COOL_LOSS 7753  	// Loss due to shrinkage of water when cooling
#define F_WN_COOL_PCT 7754  	// Volume shrinkage due to cooling (recommend 4%)
#define F_WN_TOP_UP 7755  	// Top-up water added to the fermenter before fermentation
#define F_WN_VOL_FERMENTER 7756  	// The desired final volume of water going into the fermenter
#define F_WN_LOSS_FERM 7757  	// The amount of beer lost during fermentation and transfer
#define F_WN_BOTTLE_VOL 7758  	// The volume of beer available for bottling/kegging
#define F_WN_TOTAL_WATER 7759  	// The total amount of water needed to brew this beer
#define F_WN_BOIL_PCT 7761  	// The percent of water that was boiled off
#define F_RT_ABV 7776  	// The amount of alcohol in the finished beer as a percent of volume
#define F_RT_ABW 7777  	// The amount of alcohol in the beer as percentage of weight
#define F_WP_GYPSUM 7779  	// Amount of gypsum to add
#define F_WP_SALT 7780  	// Amount of table salt to add
#define F_WP_EPSOM 7781  	// The amount of Epsom salt to add to this profile
#define F_WP_CACL 7782  	// The amount of calcium chloride to add for this water profile
#define F_WP_BAKE 7783  	// The amount of baking soda to add for this profile
#define F_WP_CHALK 7784  	// The amount of chalk to add to this water profile
#define F_WP_T_CA 7785  	// Calcium contained in this water profile
#define F_WP_T_MG 7786  	// Magnesium contained in target water profile
#define F_WP_T_NA 7787  	// Sodium contained in target water profile
#define F_WP_T_SO4 7788  	// Sulfate contained in target water profile
#define F_WP_T_CL 7789  	// Chloride contained in target water profile
#define F_WP_T_HCO3 7790  	// Bicarbonate contained in target water profile
#define F_WP_T_NAME 7791  	// The name of the target water profile
#define F_WP_BASE_VOL 7792  	// Volume of base water to use
#define F_WP_DILUTE_VOL 7793  	// Volume of dilution water to add
#define F_WP_B_CA 7795  	// Calcium in the base water
#define F_WP_B_MG 7796  	// Magnesium in the base water profile
#define F_WP_B_NA 7797  	// Sodium in the base water profile
#define F_WP_B_SO4 7798  	// Sulfate in the base water profile
#define F_WP_B_CL 7799  	// Chloride in the base water profile
#define F_WP_B_HCO3 7800  	// Bicarbonate in the base water profile
#define F_WP_B_NAME 7801  	// The name of the base water profile used
#define F_WP_11 7802  	// 
#define F_WP_14 7803  	// 
#define F_WP_23 7804  	// 
#define F_WP_25 7805  	// 
#define F_WP_32 7806  	// 
#define F_WP_34 7807  	// 
#define F_WP_41 7808  	// 
#define F_WP_45 7809  	// 
#define F_WP_53 7810  	// 
#define F_WP_56 7811  	// 
#define F_WP_61 7812  	// 
#define F_WP_66 7813  	// 
#define F_WP_TOT_CA 7814  	// Total calcium for combined waters
#define F_WP_TOT_MG 7815  	// Total magnesium for combined waters
#define F_WP_TOT_NA 7816  	// Total sodium for combined waters
#define F_WP_TOT_SO4 7817  	// Total sulfate for combined waters
#define F_WP_TOT_CL 7818  	// Total chloride for combined waters
#define F_WP_TOT_HCO3 7819  	// Total bicarbonate for combined waters
#define F_WP_DIF_CA 7827  	// Difference between totals and target profile
#define F_WP_DIF_MG 7828  	// Difference between totals and target profile
#define F_WP_DIF_NA 7829  	// Difference between totals and target profile
#define F_WP_DIF_SO4 7830  	// Difference between totals and target profile
#define F_WP_DIF_CL 7831  	// Difference between totals and target profile
#define F_WP_DIF_HCO3 7832  	// Difference between totals and target profile
#define F_WP_D_CA 7840  	// Calcium in the dilution addition
#define F_WP_D_MG 7841  	// Magnesium in the dilution addition
#define F_WP_D_NA 7842  	// Sodium in the dilution addition
#define F_WP_D_SO4 7843  	// Sulfate in the dilution addition
#define F_WP_D_CL 7844  	// Chloride in the dilution addition
#define F_WP_D_HCO3 7845  	// Bicarbonate in the dilution addition
#define F_WP_D_NAME 7846  	// Name of the dilution water added
#define F_R_IMAGE_X 7862  	// Size of a custom beer image in pixels
#define F_R_IMAGE_Y 7863  	// Size of a custom beer image in pixels
#define FO_H_FORMULA 7880  	// The formula to use when calculating bitterness (IBUs) within recipes
#define FO_H_FIRST_WORT 7881  	// Adjustment for bitterness when using first wort hops
#define FO_H_MASH_ADJ 7882  	// Adjustment to bitterness when using first wort hops
#define FO_H_LEAF_ADJ 7883  	// Adjustment to bitterness when using leaf hops
#define FO_H_TYPE_ADJ 7884  	// Check this to apply leaf/plug/whole hop adjustments within recipes
#define FO_H_PLUG_ADJ 7885  	// Adjustment to bitterness when using plug hops
#define FO_H_PELLET_ADJ 7886  	// Adjustment to bitterness when using pellet hops
#define FO_GRAIN_ABSORB 7892  	// Number of ounces of water absorbed per ounce of grain
#define FO_MALT_SPECIFIC_HEAT 7893  	// Heat absorbed by malt in calories per gram per degree C
#define FO_STEEP_EFFICIENCY 7894  	// The efficiency of extracting steeped grains
#define FO_GRAIN_VOL 7895  	// Volume that a kg of grain occupies in liters (0.652 recommended)
#define FO_BREW_LOG_NAME 7896  	// The name of the folder to use as a brewing log
#define FO_UNITS_VOLUME 7912  	// Units to use for measuring beer batches
#define FO_UNITS_WEIGHT 7913  	// Units to use for measuring grain and extract weight
#define FO_UNITS_YEAST_VOL 7914  	// Units to use when measuring yeast samples
#define FO_UNITS_SMALL_WEIGHT 7915  	// Units for measuring hops and other small ingredients
#define FO_UNITS_MASH_VOL 7916  	// Units for measuring mash volumes
#define FO_UNITS_TEMP 7917  	// Units for measuring temperature
#define FO_UNITS_PRESSURE 7918  	// Units for measuring pressure
#define FO_UNITS_SG 7919  	// Units used for measuring specific gravity
#define FO_UNITS_COLOR 7920  	// Units used to measure beer color
#define FO_UNITS_REFRACTOMETER 7921  	// Units used with refractometer measurements
#define FO_UNITS_SHOW_LBS_OZ 7922  	// Shows English weights with pounds and ounces (i.e. 2 lb 3 oz)
#define FO_SET_ENGLISH 7923  	// Sets all the units to English (US) measurements
#define FO_SET_METRIC 7924  	// Sets all of the units to use metric measurements
#define FO_SET_IMPERIAL 7925  	// Sets all of the units to Imperial English measurements
#define FO_U_VOLUME_PREC 7926  	// Precision to use for batch volume units
#define FO_U_WEIGHT_PREC 7927  	// Precision to use with weight measurements
#define FO_U_SMALL_WEIGHT_PREC 7928  	// Precision to use for measuring hops
#define FO_U_YEAST_VOL_PREC 7929  	// Precision to use for yeast starters
#define FO_U_MASH_VOL_PREC 7930  	// Precision to use with mash volumes
#define FO_U_TEMP_PREC 7931  	// Precision to use for temperature measurements
#define FO_U_PRESSURE_PREC 7932  	// Precision to use with pressure measurements
#define FO_U_SG_PREC 7933  	// Precision to use with specific gravity measurements
#define FO_U_COLOR_PREC 7934  	// Precision to use for color measurements
#define FO_U_REFRACTOMETER_PREC 7935  	// Precision to use with refractometer measurements
#define FO_WATER_INC 7936  	// Volume used to increment/decrement water amounts
#define FO_GRAIN_INC 7937  	// Weight used to increment/decrement grain amounts
#define FO_HOPS_INC 7938  	// Weight used to increment/decrement hop amounts
#define FO_YEAST_INC 7939  	// Amount used when incrementing yeast quantities
#define FO_ADDRESS 7951  	// Address used on some competition reports
#define FO_CLUB 7952  	// Name of the club or organization used in some competition reports
#define FO_EMAIL 7953  	// If you enter your email address it can be used to retrieve your key
#define FO_PHONE 7954  	// Phone number used on some competition reports
#define FO_BREWER 7955  	// Name of the primary brewer
#define FO_BREW_TYPE 7956  	// The type of recipe you most frequently brew
#define FO_STYLE_GUIDE 7957  	// The style guide to display when creating recipes
#define FO_EQUIPMENT 7958  	// The default equipment profile to use in new recipes
#define FO_EQUIP_OBJ 7965  	// Default equipment for new recipes
#define FO_REF_BRIX_ZERO 7969  	// Reading taken with refractometer on distilled water
#define FO_REF_HYDRO 7970  	// Hydrometer reading for unfermented wort sample
#define FO_REF_WORT 7971  	// Refractometer reading taken for unfermented wort
#define FO_REF_BRIX_CORRECTION 7972  	// Brix correction factor which will be applied to refractometer calculations
#define FO_Y_DRY_HYDRATE 7981  	// Amount of water to use when hydrating a gram of dry yeast
#define FO_Y_DRY_CELLS_PER_GRAM 7982  	// Billions of yeast cells per gram of dry yeast
#define FO_Y_DRY_AGING 7983  	// Rate at which dry yeast loses viability in percent per month
#define FO_Y_DRY_VIABILITY 7984  	// The initial viability of a new packet of dry yeast
#define FO_Y_ALE_PITCH 7985  	// The desired pitching rate for ales in millions of cells per ml per degree plato
#define FO_Y_MIX_PITCH 7986  	// The desired pitch rate for hybrid yeasts in millions of cells per ml per deg P
#define FO_Y_LAGER_PITCH 7987  	// The desired pitch rate for lagers in millions of cells per ml per degree plato
#define FO_Y_SLURRY_AGING 7988  	// The rate at which slurry loses viability in percent per month
#define FO_Y_SLURRY_VIABILITY 7989  	// The starting viability of slurry
#define FO_Y_SLURRY_CONC 7990  	// Concentration of yeast cells in billions per ml of slurry
#define FO_Y_SLURRY_NON_YEAST 7991  	// The percent of non-yeast material in a slurry sample
#define FO_Y_GROWTH_STARTER 7992  	// The maximum allowed growth rate before a new pack of yeast is added
#define FO_Y_STIR_PLATE_FACTOR 7993  	// Increase in growth rate if a stir plate is used in the starter
#define FO_Y_LIQUID_AGING 7994  	// Rate at which liquid yeast loses viability
#define FO_Y_LIQUID_VIABILITY 7995  	// Initial viability of a new liquid yeast sample
#define FO_COLOR_SCHEME 8006  	// Color scheme for the overall program
#define FO_VIEW_DB 8007  	// Open new profile and ingredient views using this option
#define FO_VIEW_FOLDER 8008  	// Open new folders using this method
#define FO_VIEW_RECIPE 8009  	// Open new recipes using this method
#define FO_VIEW_TOOL 8010  	// Open new tools using this method
#define FO_VIEW_ITEM 8011  	// Open new items such as hops, grains, etc using this method
#define FO_PROMPT_BEFORE_CLOSE 8026  	// If checked, you will be asked before a new or changed item is closed
#define F_CUSTOM_ID 8032  	// Custom field id used for adding fields to recipe view
#define F_R_EST_OG_PLATO 8035  	// Estimated original gravity in plato
#define F_R_EST_FG_PLATO 8036  	// Estimated final gravity in degrees plato
#define F_R_MEAS_OG_PLATO 8037  	// Original gravity measured in degrees plato
#define F_R_MEAS_FG_PLATO 8038  	// Measured final gravity in degrees plato
#define F_R_ABV_SLIDER 8039  	// Slider displaying style ABV
#define F_R_ABV_MIN 8040  	// The minimum alcohol by volume from the style guide
#define F_R_ABV_MAX 8041  	// The maximum alcohol by volume from the style guide
#define F_R_IBU_TINSETH 8048  	// Bitterness as estimated using the Tinseth equation
#define F_R_IBU_RAGER 8049  	// Bitterness as estimated using the Rager equation
#define F_R_IBU_GARETZ 8050  	// Bitterness as measured using the Garetz equation
#define F_R_MASH_GRAPH 8053  	// Graph of the mash profile
#define F_R_TUN_VOL_NEEDED 8055  	// The volume required to support this mash schedule
#define F_R_TUN_VOL 8056  	// The mash tun volume as set in the equipment profile
#define F_R_BOIL_TEMP 8057  	// The temperature at which the decoction will boil - 
#define F_R_RUNNING_GRAVITY 8058  	// Generally you should stop sparging when you reach 1.010 for the runnings
#define F_R_MASH_STEPS 8059  	// Steps for this mash profile
#define F_R_TUN_MASS 8067  	// Mash Tun Mass
#define F_R_TUN_HC 8068  	// Specific heat of the mash tun
#define F_PG_NGRAIN 8072  	// Number of grains used for adjusting grain percentages
#define F_PG_TOT_PCT 8073  	// Used in adjusting the grain percentages (dialog)
#define F_PG_TOT_GRAINS 8074  	// Total weight of all grains
#define FO_KEY 8087  	// Enter your product registration key here to activate
#define FO_TRIAL_DAYS 8088  	// The number of days remaining before you need to activate with a key
#define FO_RECOVER_KEY 8119  	// Link that allows you to recover your key using your email
#define F_R_OG_PRIMARY 8129  	// The specific gravity measured at the end of the primary fermentation
#define F_R_OG_SECONDARY 8130  	// The specific gravity as measured after secondary fermentation
#define F_R_AGE_GRAPH 8135  	// Graph of the fermentation and aging profile
#define F_Y_BREW_DATE 8144  	// Date that this yeast will be used for brewing - used internally for viability
#define F_Y_PKG_DATE 8145  	// The date when the yeast was produced or packaged by the yeast lab
#define F_Y_CELLS 8146  	// The number of yeast cells per package of yeast
#define F_Y_VIABLE_CELLS 8147  	// The number of viable cells after aging based on production/brew date
#define F_Y_VIABILITY_PCT 8148  	// The percent of viable cells left after aging based on production/brew dates
#define F_R_CELLS_NEEDED 8151  	// Number of yeast cells recommended for this recipe
#define F_R_CELLS_NO_STARTER 8152  	// Number of cells in the recipe if no starter is used
#define F_R_CELLS_STARTER 8153  	// Number of yeast cells in recipe if the starter is included
#define F_R_STARTER_SIZE 8154  	// The volume of the yeast starter used for this recipe
#define F_R_STIR_PLATE 8155  	// Use a stir plate with this starter, which enhances yeast growth
#define F_R_PACKS_NO_STARTER 8156  	// The number of yeast packs recommended if using no starter
#define F_R_PACKS_STARTER 8157  	// The recommended number of yeast packs to use with a starter
#define F_R_DRY_YEAST_PACKS 8158  	// The number of 11.5g yeast packs to use if no starter is used
#define F_R_YEAST_HYDRATE 8159  	// Amount of water to use when hydrating yeast
#define F_R_REC_STARTER_SIZE 8160  	// The recommended size of starter to use with liquid yeast for this batch
#define F_R_YEAST_STARTER 8161  	// A description of the yeast starter used
#define F_R_ALE_TYPE 8162  	// Type of recipe (Ale, Lager, Hybrid)
#define F_R_INNOC_RATE 8163  	// The inoculation rate for the yeast starter in millions of cells per ml
#define F_COST 8175  	// Cost for this ingredient
#define F_COST_INVENTORY 8178  	// Cost of items currently in inventory
#define F_CUR_INVENTORY 8179  	// The amount of this item that is currently in inventory
#define F_AB_BEERSMITH 8190  	// Used in about box to link to BeerSmith
#define F_E_NEW_EVAP_RATE 8191  	// Rate of evaporation during the boil
#define F_MH_BIAB 8192  	// Used for Brew In a Bag (BIAB) and full boil mash profiles
#define F_MH_BIAB_VOL 8193  	// Volume basis to use for BIAB/Full Boil mash
#define F_R_GRAIN_ABSORB 8195  	// Volume of water absorbed by the grain during the sparge
#define F_R_BIAB_MASH_VOL 8196  	// Volume of water needed for a BIAB style full boil mash
#define F_R_BIAB 8197  	// Set if using a full boil (BIAB style) mash with no sparge
#define FO_BIAB_ABSORB 8199  	// Grain absorption when using BIAB/Full boil mashes
#define F_R_SPARGE_STEPS 8202  	// A text field describing the steps to use when sparging
#define F_R_FIRST_WORT_HOPS 8204  	// A table of the first wort hops used in the recipe
#define F_R_BATCH_SPARGE 8205  	// True if a batch sparge profile is set
#define F_R_REAL_EXTRACT 8209  	// The real extract of the beer based on measured OG, FG
#define F_R_APPARENT_ATTEN 8210  	// The apparent attenuation of the beer based on measured OG, FG
#define F_R_REAL_ATTEN 8211  	// The real attenuation of the beer based on measured OG, FG
#define F_AT_OE 8225  	// Original extract (original gravity) measured in degrees plato
#define F_AT_RE 8226  	// Real extract in degrees plato
#define F_AT_AE 8227  	// Apparent extract (final gravity) in degrees plato 
#define F_AB_BJCP 8229  	// Link to BJCP web site
#define FO_MASH_ADJUST 8236  	// When checked, the final gravity attenuation is adjusted based on mash temp
#define FO_MASH_FG_ADJ_SLOPE 8237  	// Percentage to adjust the attenuation per degree of mash temperature
#define FO_MASH_FG_ADJ_TEMP 8238  	// The mash temperature considered to be the zero point
#define FO_CONFIRM_DELETE 8244  	// When set you will be asked if you really want to delete an item
#define F_R_VERSION 8297  	// Recipe version number
#define F_SH_SECOND 8302  	// Second field used internally to uniquely match shopping items
#define FO_RPT_NAME 8315  	// Name of the report which will display in the reports dropdown
#define FO_RPT_SCHEMA 8316  	// Data type associated with this report template
#define FO_RPT_TYPE 8317  	// The type of report
#define FO_RPT_FILE 8318  	// The file name for the report in the BeerSmith2/Reports directory
#define FO_RPT_SYSTEM 8319  	// True if this is a system report, false if a user report
#define FO_RPT_FMTS 8325  	// A list of the custom reports added by you
#define F_PLUG_TYPE 8339  	// Type of plugin
#define F_PLUG_NAME 8340  	// Name of the plugin
#define F_PLUG_FILE 8341  	// File name for the plugin
#define F_PLUGINS 8345  	// Add on data files you can install in BeerSmith
#define F_PLUG_TYPE_STRING 8348  	// Type of plugin or add-on
#define F_PLUGINS_AVAIL 8352  	// A list of the add-ons available for download
#define F_R_FERMENTER_LOSS 8355  	// Loss of volume duirng fermentation and bottling
#define F_R_TOT_WATER 8356  	// The total water needed to brew this beer
#define F_R_MASH_AVAIL 8357  	// The total water available from the mash after grain absorption
#define F_R_POST_BOIL_VOL 8358  	// The volume remaining after boiling
#define F_C_DISP_TEMP 8364  	// Temperature bottling or keg storage
#define F_C_DISP_CARB_RATE 8365  	// Carbonation rate of priming sugar - relative to corn sugar
#define F_A_DISP_PRIM_TEMP 8366  	// Temperature in the primary fermenter
#define F_A_DISP_SEC_TEMP 8367  	// The temperature of the secondary fermentation
#define F_A_DISP_TERT_TEMP 8368  	// The temperature in tertiary fermentation
#define F_A_DISP_START_AGE_TEMP 8369  	// The temperature at start of aging/storage
#define F_A_DISP_END_AGE_TEMP 8370  	// The temperature at the end of storage
#define F_INTRO_SUPPORT_PAGE 8389  	// Go to the main BeerSmith support page
#define F_INTRO_VIDEO 8390  	// Video tutorials to help you use BeerSmith
#define F_INTRO_FORUM 8391  	// BeerSmith community and support discussion forum
#define F_INTRO_HOME_PAGE 8392  	// The BeerSmith home page
#define FO_SHOW_INTRO 8395  	// Toggles whether you wish to show this screen on startup or not
#define F_E_POST_BOIL_VOL 8403  	// The volume at the end of the boil, but before cooling
#define F_AB_WXWIDGETS 8406  	// Link to the wxWidgets home page
#define F_PHASE 8409  	// Integer representing the order of ingredient use
#define F_ORDER 8410  	// The order of ingredient use within a recipe
#define FO_CURRENCY 8422  	// Character used for monetary currency
#define FO_DECIMAL 8423  	// Character to display as a decimal point
#define FO_CUR_PRECEDES 8424  	// If true, the currency symbol is placed before the number
#define F_E_TUN_ADJ_DEADSPACE 8430  	// Adds additional mash water to first mash step to compensate for deadspace
#define F_R_TUN_ADJ_DEADSPACE 8431  	// Add water to the first mash step to compensate for mash tun deadspace
#define F_MS_TUN_ADDITION 8432  	// Additional water included to compensate for deadspace in the mash tun
#define F_MH_TUN_DEADSPACE 8433  	// Adjustment of the mash volume to account for deadspace
#define F_MS_TOT_INFUSION 8434  	// The total amount of water to add for this infusion step including tun deadspace
#define F_R_PRIMARY_STEP 8440  	// The primary fermentation step
#define F_R_SECONDARY_STEP 8441  	// The secondary fermentation step
#define F_R_TERTIARY_STEP 8442  	// The tertiary fermentation step
#define F_R_OG_NO_SUGAR 8446  	// The original gravity estimate excluding sugars
#define F_R_STYLE_NUM 8454  	// The category number of the beer style
#define F_R_CATEGORY 8458  	// Style category for recipe
#define F_R_STYLE_LETTER 8459  	// Beer style letter denoting style subcategory
#define F_INVENTORY_FILTER 8468  	// Only show items that are in inventory
#define F_R_REBALANCE_SCALE 8475  	// Match the original recipe's gravity, color and bitterness after scaling
#define F_A_PRIM_END_TEMP 8485  	// Ending temperature for the primary fermentation
#define F_A_SEC_END_TEMP 8486  	// Ending temperature for the secondary fermentation
#define F_A_TERT_END_TEMP 8487  	// End temperature for the tertiary fermentation
#define F_R_PRIM_END_TEMP 8488  	// End temperature of the primary fermentation
#define F_R_SEC_END_TEMP 8489  	// End temperature of the primary fermentation
#define F_R_TERT_END_TEMP 8490  	// End temperature for the tertiary fermentation
#define F_R_DISP_PRIM_END_TEMP 8491  	// The end temperature for primary fermentation
#define F_R_DISP_SEC_END_TEMP 8492  	// The end temperature for secondary fermentation
#define F_R_DISP_TERT_END_TEMP 8493  	// The end temperature for tertiary fermentation
#define F_A_END_TEMPS_SET 8494  	// Used to facilitate easy import of old age profiles
#define F_A_DISP_PRIM_END_TEMP 8495  	// End temperature for the primary fermentation
#define F_A_DISP_SEC_END_TEMP 8496  	// End temperature for the secondary fermentation
#define F_A_DISP_TERT_END_TEMP 8497  	// End temperature for the tertiary fermentation
#define F_R_HOP_EQUATION 8498  	// The hop equation used
#define FO_CAL_FOLDER 8500  	// The recipe folders that will be shown on the calendar
#define FO_CAL_HIDE_NOT_BREWER 8501  	// Hides recipes on the calendar where I'm not the brewer
#define F_R_STYLE_GUIDE 8511  	// Name of the style guide for this beer style
#define FO_EMAIL_LIST 8519  	// Used when registering to allow people to subscribe to the newsletter
#define F_R_COLOR_ADJ_RANGE 8532  	// The range in which the color may be adjusted using the current ingredients
#define F_R_COLOR_ADJ_STRING 8534  	// Used internally to cache color adjustment values
#define F_TIP_TEXT 8543  	// Tip shown on popups
#define F_G_INV_AMT 8544  	// Used for editing inventory and shopping lists
#define F_H_INV_AMT 8545  	// Amount to add to inventory or the shopping list
#define F_M_INV_AMT 8546  	// Amount to add to inventory or the shopping list
#define F_Y_INV_AMT 8547  	// Amount to add to inventory or the shopping list
#define FO_POP_CHECKBOX 8567  	// Show popup tip windows on checkboxes
#define FO_POP_LIST 8568  	// Show popup windows on lists of items
#define FO_POP_COMBO 8569  	// Show popups on dropdown boxes
#define FO_POP_TEXT 8570  	// Show popup tips for text entry windows
#define F_E_BOIL_RATE_FLAG 8575  	// Use the boil off field as an hourly rate 
#define F_E_TOT_BOIL_OFF 8576  	// The total amount of water boiled off during the boil
#define F_EQUIP_39 8580  	// A flag used internally to track a data fix in build 39
#define F_MASH_39 8581  	// A flag used internally to correct data for the mash profiles in build 39
#define F_MS_ERROR 8582  	// Error message displayed on mash step editor if out of range
#define F_MS_TUN_MASS 8583  	// Really used internally - matches tun mass for overall mash step
#define F_MS_TUN_HC 8584  	// Used internally - matches mash tun specific heat
#define F_MS_TUN_VOL 8585  	// Mash tun volume - used internally for calculations
#define F_MS_START_TEMP 8588  	// Starting temperature for this step
#define F_MS_TUN_TEMP 8589  	// The mash tun temperature
#define F_MS_GRAIN_TEMP 8590  	// Grain temperature
#define F_R_EST_MASH_EFF_DUP 8593  	// Estimated efficiency of the mashing process
#define F_R_INCLUDE_STARTER 8594  	// Adds yeast starter volume to final bottling volume
#define FO_UNITS_STARTER_VOL 8601  	// Units for yeast starter volumes
#define FO_U_STARTER_PREC 8602  	// Precision for yeast starter volumes
#define F_M_IMPORT_AS_WEIGHT 8611  	// Used internally only for XML importing
#define F_M_IMPORT_UNITS 8612  	// Used internally only for XML import
#define FO_U_HOP_DEF 8616  	// Default hop amount to be added when adding hops to a recipe
#define FO_U_GRAIN_DEF 8617  	// Default grain amount to be added when adding new grains/extracts
#define FO_HOPS_HG 8620  	// Displays hop prices per hectogram (100 grams)
#define FO_CONFIRM_VERSION_CHANGE 8624  	// Prompt user to save the recipe as another name when the version field changes
#define F_SH_SHORT_NAME 8632  	// Name of the shopping item
#define F_SH_PRICE_UNITS 8633  	// Units used in shop price
#define F_R_PRIMARY_TEMP_C 8637  	// Primary fermentation temperature in Celsius
#define F_R_SECONDARY_TEMP_C 8638  	// Secondary temperature in Celsius
#define F_R_TERTIARY_TEMP_C 8639  	// Tertiary temperature in Celsius
#define F_R_TERTIARY_END_TEMP_C 8640  	// Tertiary end temperature in Celsius
#define F_R_PRIMARY_END_TEMP_C 8641  	// Primary End Temp in Celsius
#define F_R_SECONDARY_END_TEMP_C 8642  	// Secondary End Temperature in Celsius
#define F_R_AGE_TEMP_C 8643  	// Aging temperature in Celsius
#define F_R_AGE_END_TEMP_C 8644  	// Ending age temperature in Celsius
#define F_R_CARBONATION_TEMP_C 8645  	// Carbonation temperature in celsius
#define FO_CLOUD_UNAME 8654  	// User name for BeerSmith Cloud Service
#define FO_CLOUD_PASS 8655  	// Password for BeerSmith Cloud Service
#define FO_CLOUD_CHECK_UNAME 8658  	// Checks to see if this user name has been used already
#define FO_CLOUD_LOST_PASSWORD 8659  	// Recover lost password for this user name

// Strings
#define S_MENU_FILE 6499  	// File Menu Title
#define S_MENU_EDIT 6500  	// Edit menu title
#define S_MENU_VIEW 6501  	// View menu title
#define S_MENU_INSERT 6502  	// Insert menu title
#define S_MENU_TOOLS 6503  	// Tools menu title
#define S_MENU_ACTIONS 6504  	// Actions menu title
#define S_MENU_UNITS 6505  	// Units menu title
#define S_MENU_HELP 6506  	// Help menu title
#define R_RIBBON 6507  	// The resource ID for the main ribbon window
#define S_SHORTCUT_VIEW_TITLE 6508  	// Title for the shortcut view.
#define S_HT_MEASURED 6510  	// Title for the hydrometer tool, measured group
#define S_HT_CORRECTED 6511  	// Title for the hydrometer tool corrected group
#define S_HT_CALIBRATION 6512  	// Title for the hydrometer tool - calibration temp
#define ERR_ALREADY_RUNNING 6513  	// Error shown when BeerSmith is already running
#define S_IND_OK 6514  	// Indicator OK string
#define S_IND_VOLUME_NEGATIVE 6515  	// Indicator displayed when volumes are negative
#define S_IND_WEIGHT_NEGATIVE 6516  	// Indicator shown when weight values are negative
#define S_IND_CAL_RED 6517  	// Indicator shown for hydrometer calibration temps
#define S_IND_CAL_YELLOW 6518  	// Calibration temperature outside the limits for hydrometers
#define S_IND_TEMP_BELOW_ZERO 6519  	// Indicator for subzero temperatures
#define S_IND_TEMP_ABOVE_220 6520  	// Indicator for temperatures above 220F
#define S_IND_TEMP_BELOW_FREEZING 6521  	// Indicator for temperatures below freezing
#define S_IND_TEMP_ABOVE_BOILING 6522  	// Indicator for temps above boiling
#define S_IND_SG_LOW 6523  	// Indicator for red specific gravity
#define S_IND_SG_HIGH 6524  	// Indicator message for specific gravity too high
#define S_IND_SG_LOW_YELLOW 6525  	// Indicator for SG too low
#define S_IND_SG_HIGH_YELLOW 6526  	// Indicator for specific gravity range too high
#define S_SI_STRIKE_COND 6527  	// Title for desired strike conditions - infusion tool
#define S_SI_STARTING_COND 6528  	// Starting conditions title for infusion calculator
#define S_SI_INFUSION_TITLE 6529  	// Infusion water title for infusion calculator
#define S_SI_STRIKE 6530  	// Choice for initial strike type
#define S_SI_INFUSION 6531  	// Infusion step choice for infusion calculator
#define S_IND_SPEC_HEAT_NEGATIVE 6532  	// Specific heat negative indicator
#define S_IND_SPEC_HEAT_YELLOW 6533  	// Specific heat high indicator
#define S_IND_SPEC_HEAT_HIGH 6534  	// Specific heat too high
#define S_IND_VOLS_LOW 6535  	// Carbonation volume low indicator
#define S_IND_VOLS_RED_LOW 6536  	// Carbonation volume red
#define S_IND_VOLS_HIGH 6537  	// Volume indicator higher (yellow)
#define S_IND_VOLS_HIGH_RED 6538  	// Carbonation volume much too high (red)
#define S_IND_PRESSURE_LOW 6539  	// Pressure indicator low (yellow)
#define S_IND_PRESSURE_RED_LOW 6540  	// Pressure low on red side
#define S_IND_PRESSURE_HIGH 6541  	// Pressure for kegging high (yellow)
#define S_IND_PRESSURE_HIGH_RED 6542  	// Pressure high (red) in carbonation tools
#define S_CAR_DESIRED 6543  	// Title for carbonation tool
#define S_CAR_KEG 6544  	// 
#define S_CAR_BOTTLE 6545  	// Carbonation tool header
#define S_NT_NOTE 6546  	// Notes typelist - for generic notes
#define S_NT_EVENT 6547  	// Notes typelist - event type of note
#define S_NT_TASK 6548  	// Note typelist - task type of notes
#define S_NT_COMPLETED_TASK 6549  	// Notes typelist - finished task type
#define S_NP_VERY_HIGH 6550  	// Priority types for notes - very high
#define S_NP_HIGH 6551  	// Note priority high for notes
#define S_NP_NORMAL 6552  	// Note priority - normal 
#define S_NP_LOW 6553  	// Note priority - low
#define S_NP_VERY_LOW 6554  	// Note priority very low
#define S_ND_NOTE 6555  	// Note header for notes dialog
#define S_ND_TYPE 6556  	// Note type for notes dialog
#define S_IND_END_BEFORE_START 6557  	// For event type notes - the start must be before the end date
#define S_DATA_DIR_TITLE 6558  	// Used to ask user which directory to store files in
#define S_ERR_CANT_OPEN_TABLE 6559  	// Table opening error
#define S_ERR_CANT_SAVE_TABLE 6560  	// Error message displayed while saving tables
#define S_EMPTY_PREVIEW 6561  	// HTML message displayed when preview window is empty
#define S_EMPTY_TITLE 6562  	// Empty title string
#define S_PREVIEW_CHOICE 6563  	// Report choice label for preview of reports
#define S_HD_HOPS 6564  	// Title for hops dialog
#define S_HT_BITTERING 6565  	// Hop type - bittering
#define S_HT_AROMA 6566  	// Hop type - aroma
#define S_HT_BOTH 6567  	// Hop Type - Both
#define S_HF_PELLET 6568  	// Pellet hop form
#define S_HF_PLUG 6569  	// Plug hop form
#define S_HF_LEAF 6570  	// Leaf hop form
#define S_HU_BOIL 6571  	// Hop usage - boiling
#define S_HU_DRY_HOP 6572  	// Hops usage - dry hop
#define S_HU_MASH 6573  	// Hop Usage - mash
#define S_HU_FIRST_WORT 6574  	// Hop usage - first wort
#define S_HU_AROMA 6575  	// Hop Usage - aroma
#define S_GD_GRAIN 6576  	// Default name for grains
#define S_GT_GRAIN 6577  	// Grain type
#define S_GT_SUGAR 6578  	// Sugar type
#define S_GT_EXTRACT 6579  	// Extract grain type
#define S_GT_DRY_EXTRACT 6580  	// Dry Extract grain type
#define S_GT_ADJUNCT 6581  	// Adjunct grain type
#define S_IND_COLOR_LOW 6582  	// Color indicator
#define S_VOLUME_US 6583  	// Title for volume units converter
#define S_VOLUME_METRIC 6584  	// Units for metric volumes
#define S_VOLUME_IMPERIAL 6585  	// Unit converter - title for imperial volumes
#define S_B_BOIL_OFF 6586  	// Section header for boil off tool
#define S_B_SHRINKAGE 6587  	// Header for boil off tool
#define S_B_FINAL_VOLUME 6588  	// Final Volume header for boil off tool
#define S_AT_MEASURED 6589  	// Attenuation Tool - Header for measured gravities
#define S_AT_ALCOHOL_PERCENTAGE 6590  	// Header for attenuation tool - alcohol percentage
#define S_AT_ATTENUATION 6591  	// Header for attenuation tool - real and apparent attenuation
#define S_AT_CALORIES 6592  	// Attenuation tool - calories in the final beer
#define S_DT_WATER 6593  	// Dilution tool - types
#define S_DT_WORT 6594  	// Dilution tool types 
#define S_DT_STARTING_CONDITIONS 6595  	// Dilution Tool header for starting conditions
#define S_DT_DILUTE_WITH 6596  	// Dilution tool - header for wort/water to use for dilution
#define S_DT_FINAL_MIXTURE 6597  	// Header for dilution tool - final mixture
#define S_HAT_POLY_BAG 6598  	// Hop storage for hop aging tool
#define S_HAT_BARRIER 6599  	// Hop aging tool - type of storage
#define S_HAT_VACUUM 6600  	// Hop aging tool - type of storage
#define S_HA_HOPS 6601  	// Hop Age tool - title for first section of dialog
#define S_HA_STORAGE_CONDITIONS 6602  	// Hop Age tool - second header for dialog display
#define S_HA_ADJUSTED_ALPHA 6603  	// Hop age tool - header for dialog display
#define S_RT_UNFERMENTED 6604  	// Refractometer tool - calculation type
#define S_RT_FERMENTING 6605  	// Refractometer tool - calculation type
#define S_RT_ORIGINAL_GRAVITY 6606  	// Refractometer tool - calculation type
#define S_ERR_REF_NEGATIVE 6607  	// Error for refractometer reading out of range
#define S_ERR_REF_HIGH 6608  	// Error message for refractometer indicator
#define S_RT_REFRACTOMETER_READING 6609  	// Header for refractometer tool
#define S_RT_CORRECTED_GRAVITY 6610  	// Header for refractometer tool
#define S_RT_GRAVITY_BEFORE 6611  	// Refractometer tool - label for gravity field when measuring fermenting wort
#define S_H_HOPS 6612  	// Header for hops dialog
#define S_H_AMOUNT 6613  	// Header for hops dialog
#define S_H_HOP_TYPE 6614  	// Header for hops dialog
#define S_H_ACID 6615  	// Header for hops dialog
#define S_H_STABILITY 6616  	// Header for hops dialog
#define S_H_NOTES 6617  	// Header for hops dialog
#define S_H_USE 6618  	// Hop usage header from hop dialog
#define S_H_STEEP_FOR 6619  	// Field label used when steeping hops
#define S_G_GRAIN 6620  	// Grain, Extract or Malt title from Grain dialog
#define S_G_AMOUNT 6621  	// Header for grain dialog
#define S_G_YIELD 6622  	// Grain Yield title for dialog
#define S_G_PROPERTIES 6623  	// Properties header for grain dialog
#define S_G_NOTES 6624  	// Notes header for grain dialog
#define S_MISC_DEFAULT 6625  	// Default value for misc items
#define S_MT_WATER_AGENT 6626  	// Misc Types
#define S_MT_SPICE 6627  	// Misc Types
#define S_MT_FINING 6628  	// Misc Types
#define S_MT_HERB 6629  	// Misc Types
#define S_MT_FLAVOR 6630  	// Misc Types
#define S_MT_OTHER 6631  	// Misc Types
#define S_MU_BOIL 6632  	// Misc use
#define S_MU_MASH 6633  	// Misc Usage
#define S_MU_PRIMARY 6634  	// Misc Usage
#define S_MU_SECONDARY 6635  	// Misc Usage
#define S_MU_BOTTLING 6636  	// Misc Usage
#define S_M_TITLE 6637  	// Header for Misc dialog
#define S_M_RECOMMENDED 6638  	// Title header for Misc dialog
#define S_M_USE_DURING 6639  	// Header title for Misc dialog
#define S_M_NOTES 6640  	// Title for Misc dialog
#define S_W_WATER 6641  	// Default name for new waters
#define S_W_TITLE 6642  	// Title for water dialog
#define S_W_PROFILE 6643  	// Title for water dialog
#define S_W_ADDITIONS 6644  	// Title for water dialog
#define S_W_NOTES 6645  	// Title for water dialog
#define S_YEAST_DEFAULT 6646  	// Default name for a yeast
#define S_YT_ALE 6647  	// Yeast type
#define S_YT_LAGER 6648  	// Yeast type
#define S_YT_WINE 6649  	// Yeast type
#define S_YT_CHAMPAGNE 6650  	// Yeast type
#define S_YT_WHEAT 6651  	// Yeast type
#define S_YF_LIQUID 6652  	// Yeast form
#define S_YF_DRY 6653  	// Yeast form
#define S_YF_SLANT 6654  	// Yeast form
#define S_YF_CULTURE 6655  	// Yeast form
#define S_YF_LOW 6656  	// Flocculation type
#define S_YF_MED 6657  	// Flocculation type
#define S_YF_HIGH 6658  	// Flocculation type
#define S_YF_VERY_HIGH 6659  	// Flocculation type
#define S_Y_TITLE 6660  	// Title for yeast dialog
#define S_Y_AMOUNT 6661  	// Title for yeast dialog
#define S_Y_PROPERTIES 6662  	// Title for yeast dialog
#define S_Y_RANGE 6663  	// Title for yeast dialog
#define S_Y_CULTURE 6664  	// title for yeast dialog
#define S_Y_NOTES 6665  	// Title for yeast dialog
#define S_S_STYLE 6666  	// Default value for a new style
#define S_ST_ALE 6667  	// Style type
#define S_ST_LAGER 6668  	// Style type
#define S_ST_MIXED 6669  	// Style type
#define S_ST_MEAD 6670  	// Style type
#define S_ST_CIDER 6671  	// Style type
#define S_ST_WHEAT 6672  	// Style type
#define S_S_BITTERNESS 6673  	// Header for style dialog
#define S_S_SPECIFIC_GRAVITY 6674  	// Header for style dialog
#define S_S_COLOR 6675  	// Header for style dialog
#define S_S_TYPE 6676  	// Header for style dialog
#define S_S_ABV 6677  	// Header for style dialog
#define S_S_DESCRIPTION 6678  	// Header for style dialog
#define S_S_TITLE 6679  	// Header for style dialog
#define S_MINIMUM 6680  	// Title for Style dialog 
#define S_MAXIMUM 6681  	// Title for style dialog
#define S_E_EQUIP_DEF 6682  	// Equipment default name
#define S_E_MASH_TUN 6683  	// Header for equipment dialog
#define S_E_BOIL 6684  	// Header for equipment profile
#define S_E_FERMENTER 6685  	// Header for equipment dialog
#define S_E_NOTES 6686  	// Notes header for equipment dialog
#define S_E_TITLE 6687  	// Header for equipment dialog
#define S_MS_MASHSTEP_DEF 6688  	// The default name for a new mash step
#define S_MS_INFUSION 6689  	// Mash step type
#define S_MS_DECOCTION 6690  	// Mash step type
#define S_MS_TEMPERATURE 6691  	// Mash step type
#define S_MS_INFUSION_ERR 6692  	// Error message for infusion step where infusion is too hot
#define S_MS_ADD 6693  	// String for infusion mash step descriptions
#define S_MS_OF_WATER_AT 6694  	// Infusion description text for mash steps
#define S_MS_DECOCTION_ERR 6695  	// Decoction error for mash step descriptions
#define S_MS_DECOCT 6696  	// String used in mash step descriptions
#define S_MS_BOIL_IT 6697  	// String used in mash step descriptions
#define S_MS_HEAT_IT 6698  	// String used in mash step descriptions
#define S_MS_HEAT_TO 6699  	// String used for mash step descriptions
#define S_MS_OVER 6700  	// String used in mash step descriptions
#define S_MS_INFUSION_TITLE 6701  	// Title for mash step dialog
#define S_MS_TITLE 6702  	// Mash step title for dialog
#define S_MS_STEP 6703  	// Title for mash step dialog
#define S_MASH_DEF 6704  	// Mash profile default name
#define S_MH_TITLE 6705  	// Title for mash dialog
#define S_MH_MASH 6706  	// Title for mash dialog
#define S_MH_TEMP 6707  	// Title for mash dialog
#define S_MH_BATCH 6708  	// Header for mash dialog
#define S_MH_NOTES 6709  	// Notes for mash dialog
#define S_STYLE_EDGE 6710  	// Indicator value for style indicators
#define S_STYLE_HIGH 6711  	// Indicator value for style comparisons in recipes
#define S_STYLE_LOW 6712  	// Indicator value for style range comparisons in recipes
#define S_IND_CALORIES_LOW 6713  	// Indicator used for calories
#define S_IND_BITTERNESS_RATIO_LOW 6714  	// Bitterness ratio indicator for recipes
#define S_RECIPE_DEF 6715  	// Default name for a new recipe
#define S_R_EXTRACT 6716  	// Recipe type
#define S_R_PARTIAL_MASH 6717  	// Recipe type
#define S_R_ALL_GRAIN 6718  	// Recipe type
#define S_R_TITLE 6719  	// Title for recipe dialog - topmost box
#define S_R_PARAM 6720  	// Title for recipe dialog
#define S_R_DESIGN 6721  	// Design tab title for recipe tabs
#define S_R_STYLE_GUIDE 6722  	// Title for style section in design of a recipe
#define S_H_HOP 6723  	// Type used for ingredients listings for hops
#define S_G_BOIL_FOR 6724  	// Used for late extract additions in grain data types
#define S_Y_YEAST 6725  	// Used in ingredient listings to show yeasts
#define S_Y_STARTER 6726  	// Field used in ingredient display for yeasts with starters
#define S_Y_ADD_SECONDARY 6727  	// Used in ingredient displays for yeasts used in secondary
#define S_E_EQUIP 6728  	// Type used for ingredient/recycle bin display of items
#define S_OPEN_WILDCARD 6729  	// Wildcard for opening files (don't modify this in general)
#define S_SH_GENERIC 6730  	// String for generic shopping item type
#define S_SH_GRAIN 6731  	// Type of shopping item for grains
#define S_SH_HOPS 6732  	// Type of shopping item (hops)
#define S_SH_ADJUNCT 6733  	// Type of shopping item - adjuncts
#define S_SH_YEAST 6734  	// Type of shopping list item  -yeast
#define S_SH_SUGAR 6735  	// Type of shopping list item - sugar
#define S_SH_EXTRACT 6736  	// Type of shopping list item - extract
#define S_SH_MISC 6737  	// Type of shopping item - misc
#define S_SH_EQUIPMENT 6738  	// Type of shopping item - equipment
#define S_SH_DEFAULT 6739  	// Default name for new shopping items
#define S_SH_NAME 6740  	// Title bar for shopping item dialog
#define S_SH_AMOUNT 6741  	// Title used in shopping dialog
#define S_SH_NOTES 6742  	// Title used in shopping item dialog
#define S_SH_PRICE 6743  	// Title used in shopping item dialog
#define S_SH_DEF_UNITS 6744  	// Default units for new shopping items
#define S_DEF_FOLDER 6745  	// Default folder name
#define S_R_OLD_IBU 6746  	// Old bitterness level for adjusting bitterness
#define S_R_NEW_IBU 6747  	// Desired new bitterness level
#define S_R_NEW_COLOR 6748  	// New color for color tool
#define S_R_OLD_COLOR 6749  	// Old color for the beer
#define S_R_NEW_OG 6750  	// Desired OG
#define S_R_OLD_OG 6751  	// Old OG
#define S_R_OLD_SIZE 6752  	// Old size for scaling
#define S_R_NEW_SIZE 6753  	// New Batch Size for Scaling
#define S_R_OLD_TYPE 6754  	// For converting recipes
#define S_R_NEW_TYPE 6755  	// New type of recipe
#define S_ERR_NONMASH 6756  	// Error for mashable grains with no substitute
#define S_R_STATS 6757  	// Statistics tab for recipe design
#define S_R_MASH 6758  	// Title for statistics tab for recipe design
#define S_R_ESTIMATE 6759  	// Estimated value header
#define S_R_ACTUAL 6760  	// Actual value header
#define S_CARB_DEFAULT 6761  	// Carbonation Profile Default
#define S_CARB_DEF_SUGAR 6762  	// Default name for new priming agents in carb profiles
#define S_CT_BOTTLE 6763  	// Bottle type for carbonation profiles
#define S_CT_KEG 6764  	// Keg carbonation type
#define S_CT_NATURAL_KEG 6765  	// Type used for kegging with priming sugar
#define S_C_TITLE 6766  	// Title for carbonation dialog
#define S_AGE_DEFAULT 6767  	// Default name for new aging profile
#define S_A_ONE_STAGE 6768  	// Single stage fermentation
#define S_A_TWO_STAGE 6769  	// Two stage fermentation
#define S_A_THREE_STAGE 6770  	// Three stage fermentation type
#define S_A_TITLE 6771  	// Title for fermentation and aging profile
#define S_FERM_TITLE 6772  	// Title for fermentation age dialog
#define S_R_CARB_AGE 6773  	// Title for recipe design tab
#define S_R_KEG_LEAD 6774  	// Used for describing kegging type (need space after string)
#define S_R_BOTTLE_LEAD 6775  	// Bottle header for describing carbonation - space after string
#define S_R_NAT_KEG_LEAD 6776  	// Natural kegging - lead for description - need trailing space
#define S_ST_NAME 6777  	// Default description for a step
#define S_ST_NORMAL 6778  	// Normal brewing step
#define S_ST_TITLE 6779  	// Title Step
#define S_TIM_YEAST_PREP 6780  	// Yeast preparation steps
#define S_TIM_BREW_PREP 6781  	// Brewing Prep step
#define S_TIM_WATER_PREP 6782  	// Water preparation step
#define S_TIM_MASH_PREP 6783  	// Mash preparation step
#define S_TIM_SPARGE_PREP 6784  	// Sparge preparation step
#define S_TIM_STEEP_PREP 6785  	// Steeping Preparation
#define S_TIM_STEEP 6786  	// Steeping Step
#define S_TIM_BOIL 6787  	// Boiling step
#define S_TIM_POST_BOIL 6788  	// Post Boil Step
#define S_TIM_COOL 6789  	// Cooling Step
#define S_TIM_TRANSFER 6790  	// Transfer to primary step
#define S_TIM_PRE_FERMENT 6791  	// Pre Fermentation Step
#define S_TIM_PRIMARY 6792  	// Primary Fermentation step
#define S_TIM_POST_PRIMARY 6793  	// Post Primary Step
#define S_TIM_SECONDARY 6794  	// Secondary Step
#define S_TIM_POST_SECONDARY 6795  	// Post Secondary Step
#define S_TIM_TERTIARY 6796  	// Tertiary Step
#define S_TIM_PRE_BOTTLE 6797  	// Pre bottle/keg step
#define S_TIM_BOTTLE 6798  	// Bottling or kegging step
#define S_TIM_PRE_STORE 6799  	// Pre Storage Step
#define S_TIM_AGE 6800  	// Age Step
#define S_TIM_POST_AGE 6801  	// Post Aging step
#define S_TIM_MASH 6802  	// Mash Step
#define S_TIM_PRE_BOIL 6803  	// Pre boil step
#define S_TIM_SPARGE 6804  	// Sparge step
#define S_H_INVENTORY 6805  	// Inventory header for inventory adds
#define S_G_INVENTORY 6806  	// Inventory for grain dialog
#define S_Y_INVENTORY 6807  	// Used for adding yeast to inventory
#define S_M_INVENTORY 6808  	// Used for adding to inventory
#define S_EDIT_INVENTORY 6809  	// Used as title for editing inventory items
#define S_INV_REMOVE_ERR 6810  	// Error when removing ingredients from inventory
#define S_INV_REMOVE_ASK 6811  	// Ask user if they want to continue with inventory removal on error?
#define S_INV_REMOVE_TITLE 6812  	// Title for remove from inventory error box
#define S_INV_REMOVED_RECENTLY 6813  	// Used if we removed a recipe from inventory already in last 30 days.
#define S_SHOP_RECIPE 6814  	// Used in notes when item is added for shopping...
#define S_ERR_NOT_IN_INVENTORY 6815  	// Error message when adding shopping items to inventory
#define S_ADD_INV_CAPTION 6816  	// Title for add to inventory dialog
#define S_ADD_INV_OKCANCEL 6817  	// Message if there is an error adding to inventory
#define S_R_BREW 6818  	// For calendar - used when we brew an item
#define S_R_PRIMARY 6819  	// Calendar - items in the primary
#define S_R_SECONDARY 6820  	// Calendar - used with items in the secondary
#define S_R_TERTIARY 6821  	// Used with calendar items in the tertiary fermenter
#define S_R_BOTTLE 6822  	// Used for items on calendar when bottling/kegging
#define S_R_AGE 6823  	// Used on calendar when aging a recipe
#define S_R_END 6824  	// Used when recipe is finished on calendar
#define S_R_START 6825  	// Start of an event on the calendar view
#define S_R_CARB_DME 7616  	// Dry malt extract - used in carbonation
#define S_FILE_TYPE_ERROR 7624  	// Error when trying to open an unsupported legacy file (such as shopping items)
#define S_ERR_XML_TEMPLATE 7625  	// Error when it can't find an XML template to export a BeerXML file
#define S_ERR_CANT_OPEN_OUTPUT 7626  	// Error when saving files
#define S_ERR_NOTHING_TO_EXPORT 7627  	// You have no items in this table to export
#define S_ERR_XML_TYPE 7628  	// Type error for export of BeerXML files
#define S_YC_ALE 7704  	// Ale type for yeast starter calculator
#define S_YC_LAGER 7705  	// Lager type of yeast
#define S_YC_HYBRID 7706  	// Hybrid (mixed) yeast type for yeast calculator
#define S_YC_LIQUID 7715  	// Liquid yeast type used in yeast starter calculator
#define S_YC_DRY 7716  	// Dry yeast type used in yeast starter calculator
#define S_YC_SLURRY 7717  	// Slurry yeast type used in yeast starter calculator
#define S_YC_BATCH 7719  	// Used as a title for yeast starter dialog
#define S_YC_VIABILITY 7720  	// Used as a title for viability settings in yeast starter calculator
#define S_YC_LIQUID_TITLE 7721  	// Used as title in yeast starter dialog
#define S_YC_DRY_TITLE 7722  	// Used as title in yeast starter calculator
#define S_YC_SLURRY_TITLE 7723  	// Used as a title in the Yeast Starter dialog
#define S_F_TINSETH 7739  	// Tinseth formula name for hop calculations
#define S_F_RAGER 7740  	// Name of Rager formula for hop calculations
#define S_F_GARETZ 7741  	// Name of the Garetz hop formula for hop calculations
#define S_WN_WATER_NEEDED 7762  	// Title used in water needed tool as a section title
#define S_WN_MASH 7763  	// Title in water needed tool for mash section
#define S_WN_BOIL 7764  	// Title in water needed tool for the boil and fermentation
#define S_D_TARGET_TITLE 7768  	// Title used in decoction calculator
#define S_D_START_TITLE 7769  	// Title used in decoction calculator
#define S_D_DECOCT_VOL 7770  	// Title used in decoction calculator
#define S_MA_TARGET_TITLE 7771  	// Title used in mash adjust calculator
#define S_MA_START_TITLE 7772  	// Title used in mash adjust calculator
#define S_MA_WATER_TITLE 7773  	// Title used in mash adjust calculator
#define S_WV_CONTAINER_TITLE 7774  	// Title used in weight to volume calculator
#define S_WV_EST_VOL_TITLE 7775  	// Title used in weight to volume calculator
#define S_RT_BEER_PROPERTIES 7778  	// Beer properties title used in refractometer tool as a title bar
#define S_WP_TOTALS 7836  	// Title used in water profile tool for total ion contributions
#define S_WP_DIFFERENCE 7837  	// Title used for row of "differences" in the water profile tool
#define S_WP_TITLE 7838  	// Title for water profile tool dialog
#define S_WP_TARGET 7839  	// Name used for target profile in water profile tool
#define S_ERR_NO_WATER_MATCH 7848  	// Error used in water profile tool
#define S_BEERSMITH_PREVIEW 7852  	// Title for Print Preview window
#define S_PREVIEW_ERR 7853  	// Error found while trying to print preview a view
#define S_PRINT_CANCELLED 7854  	// Message used when a person cancels the printout
#define S_PRINT_ERR 7855  	// Error displayed when the system cannot print
#define S_IMAGE_WILDCARD 7866  	// Allowable image formats (DON"T CHANGE THIS!)
#define S_HOP_ADJ_TITLE 7887  	// Title for header in hop options dialog for hop type adjustments
#define S_ADV_TAB_BREW_LOG 7900  	// Title used in advanced tab of the options dialog
#define S_UNIT_PRECISION 7940  	// Column header for the units option dialog
#define S_UNIT_INCREMENT 7941  	// Column header for the units options dialog
#define S_ALL_STYLE_GUIDES 7959  	// Used for options dialog - an option for displaying all of the style guides
#define S_COMPETITION_OPTS 7960  	// Competition Information title from Options dialog
#define S_DEF_RECIPE 7966  	// Prompt for default recipe command
#define S_REF_ZERO 7974  	// Title used in refractometer calibration options
#define S_REF_WORT_CAL 7975  	// Title used for refractometer calibration in options dialog
#define S_REF_ZERO_INST 7976  	// Instructions for calibrating refractometer zero.
#define S_REF_CAL_INST 7977  	// Instructions for refractometer calibration
#define S_PITCH_RATE 7999  	// Title used in yeast options dialog
#define S_YEAST_GROWTH 8000  	// Title use in yeast options dialog
#define S_YEAST_DRY 8001  	// Title used in yeast options dialog
#define S_YEAST_AGING 8002  	// Title used in yeast dialog
#define S_SLURRY_OPT 8003  	// Title used in yeast options dialog
#define S_THEME_BLUE 8013  	// Theme name for blue color scheme
#define S_THEME_GREEN 8014  	// Theme name for green color scheme
#define S_THEME_BLACK 8015  	// Theme name for black color scheme
#define S_OPEN_TAB 8016  	// Option to open new windows in a tab
#define S_OPEN_CUR 8017  	// Opens the window in the current tab
#define S_OPEN_WIN 8018  	// Opens the view in a new window
#define S_THEME_TITLE 8019  	// Title used in options dialog
#define S_OPEN_OPTIONS 8020  	// Title used in options dialog
#define S_PROMPT_SAVE_CLOSE 8024  	// Prompt if someone is closing an item they have opened/modified
#define S_RBOOK_ID 8029  	// Internally used string ID for editing recipes
#define S_SEARCH 8044  	// String used as a prompt for searching strings
#define S_SEARCH_TIPS 8046  	// Tips for search boxes that appear on database views
#define S_CLEARSEARCH_TIPS 8047  	// Tips for button that clears search text
#define S_R_MASH_EFFICIENCY 8060  	// Title used in recipe mash tab
#define S_R_INTO_BOILER 8061  	// Title used in recipe mash tab
#define S_R_SPARGE 8062  	// Title used in mash tab of recipe dialog
#define S_R_MASH_RUNNINGS 8063  	// Title used in recipe mash dialog
#define S_R_MASH_VOL_NEEDED 8064  	// Required mash volume for this recipe - title used in recipe dialog
#define S_R_INIT_COND 8065  	// Title used in recipe dialog
#define S_R_MASH_PROFILE 8066  	// Title used in recipe mash tab
#define S_PG_GRAIN 8075  	// Title used when adjusting grain percentages 
#define S_PG_TOTALS 8076  	// Title used when adjusting grain percentages
#define S_PG_PERCENT 8077  	// Title used for adjusting grain percentages
#define S_PG_WEIGHT 8078  	// Weights used when adjusting grain percentages
#define S_ERR_ADJ_GRAINS 8079  	// Error when trying to adjust grain percentages with no grains
#define S_REG_ENTER_KEY 8089  	// Title used on registration dialog
#define S_REG_HELP 8090  	// Help for person entering key
#define S_REG_BS1 8091  	// Note used to tell users of BeerSmith 1.X their keys don't work here
#define S_REG_EMAIL 8092  	// Email is only used to recover your key if needed in the future
#define S_GET_KEY 8093  	// Title used in registration dialog
#define S_REG_TRIAL_LIMIT1 8094  	// Trial message
#define S_REG_TRIAL_LIMIT2 8095  	// Trial limit message 2
#define S_REGISTER_SUCCESS 8096  	// Successful activation message
#define S_REGISTER_FAILURE 8102  	// Message shown if the registration fails
#define S_REG_EXPIRED 8103  	// Message displayed when copy expires (after 45 days)
#define S_REG_PROB_EMAIL 8108  	// Error when registration email could not be recorded
#define S_RECOVER_EMAIL 8112  	// Prompt used when recovering the activation key for a copy of BeerSmith
#define S_EMAIL_PROMPT 8113  	// Prompt used to ask for email when recovering activation key
#define S_RECOVER_SUCCESS 8114  	// Message displayed when activation key recovery succeeds
#define S_RECOVER_FAILURE 8115  	// Message displayed when key recovery fails.
#define S_REG_ENTER_EMAIL 8117  	// Used as a title when requesting activation keys
#define S_REG_KEY_WARN 8118  	// Warning displayed on activation dialog
#define S_REG_EMAIL2 8120  	// Used in activation dialog
#define S_REG_COUNT_EXCEEDED 8124  	// This shows up in the activation dialog if someone makes more than 5 attempts 
#define S_R_BOIL 8126  	// Used as title on recipe session page
#define S_R_INTO_FERMENTER 8127  	// Title on recipe session page
#define S_R_BREWHOUSE_EFFICIENCY 8128  	// Overall brewhouse efficiency
#define S_R_AGING 8131  	// Fermentation and age title used in recipe session dialog
#define S_R_AT_BOTTLING 8132  	// Title used in session tab for beer
#define S_R_CARBONATION 8133  	// Title used in recipe dialog, session tab
#define S_R_STATISTICS 8134  	// Statistics title used in recipe dialog
#define S_R_TASTE_NOTES 8136  	// Notes on the final qualities of the beer - title used in recipe session tab
#define S_R_AGE_GRAPH_TITLE 8140  	// Title for graph showing fermentation/aging
#define S_R_STARTER_STRING 8166  	// String used to describe starter size
#define S_R_NO_STARTER 8167  	// String shown when there is no yeast starter.
#define S_CELLS_NEEDED 8170  	// Recommended pitching rate (title) in yeast tab of recipe dialog
#define S_Y_STARTER_USED 8171  	// Title used in yeast starter dialog within a recipe
#define S_Y_RECOMMEND_LIQUID 8172  	// 
#define S_Y_RECOMMEND_DRY 8173  	// Title used in yeast starter dialog
#define S_Y_CELLS_NEEDED 8174  	// Recommended pitching rate title for the yeast starter tab in a recipe
#define S_LOADING 8182  	// Prompt shown on progress dialog when loading a file
#define S_ERR_CANT_OPEN_FILE 8183  	// Error when we can't open a file
#define S_ERR_IMPORTING 8184  	// Displayed when a file can't be imported.
#define S_SAVING 8188  	// Used in saving progress dialog
#define S_LOADING_SPLASH 8189  	// Displayed on splash screen when loading files - keep the %s in here
#define S_MH_BIAB 8194  	// Title used in mash profile editor for BIAB options
#define S_R_EXTRACT_SPARGE 8203  	// Used in extract recipe display in place of a sparge step and also for BIAB 
#define S_R_FLY_SPARGE 8206  	// Line used for fly sparging - leave the two %s in as they show volume and temp
#define S_R_DRAIN_MASH 8207  	// Used in sparging description for batch sparging
#define S_R_BATCH_SPARGE 8208  	// Batch sparge instruction - keep the %d and two %s intact if translating
#define S_AUTOSAVING 8214  	// Autosave is called periodically - this message will appear when it happens
#define S_LIMITED_COMMAND 8223  	// Message displayed when the trial period is over and user tries a command
#define S_BEERSMITH_LIMITED 8224  	// Shown when trial period is over.
#define S_AT_EXTRACT 8228  	// Title used in ABV tool
#define S_SET_PRICE_PROMPT 8231  	// Prompt used for Set Price which can set price for multiple items
#define S_ADV_FG_MASH_ADJ 8239  	// String used in advanced options tab
#define S_ADV_OPTIONS_WARNING 8240  	// Advanced Settings - Please Be Careful!
#define S_CONFIRM_DELETE 8245  	// Confirmation that shows up when user sets option to confirm deletes
#define S_BEERSMITH 8246  	// Generic name of program - leave it BeerSmith2
#define S_IMPORT_MESSAGE 8251  	// Used for importing recipes
#define S_IMPORT_THIS 8252  	// Used when importing old data
#define S_IMPORT_ANOTHER 8253  	// Used when importing
#define S_IMPORT_ASK_DIR 8254  	// Used when importing
#define S_IMPORT_NO_RECIPES 8255  	// Error message shown if recipes cant be found when importing
#define S_CANCEL 8259  	// Used to cancel operations
#define S_IMPORT_CANCEL 8260  	// 
#define S_IMPORT_TITLE 8261  	// Title used for importing BeerSmith 1 data
#define S_WELCOME 8262  	// Welcome prompt used in initial dialog for unregistered version...
#define S_ACTIVATE_MSG 8263  	// Used for activation choice field
#define S_ACTIVATE 8265  	// Prompt for trial mode activation dialog
#define S_PURCHASE_BEERSMITH 8266  	// Used in activation dialog that is shown on first run
#define S_CONTINUE_TRIAL 8267  	// Used in trial mode dialog
#define S_CLIPBOARD 8271  	// Name of editing/clipboard section on the ribbon
#define S_NO_HELP_TOPIC 8275  	// Used when we can't find a help topic file
#define S_OPEN_THIS_WINDOW 8284  	// Help string displayed for items on window menu
#define S_AMOUNT 8293  	// Amount string
#define S_INGRED_ADDED 8306  	// Used when adding an ingredient from within a recipe
#define S_ITEM_EXISTS 8307  	// Prompt used when adding ingredients of the same name from within a recipe
#define S_ERR_PRICE_MATCH 8309  	// Error message used if updating prices within a recipe.
#define S_HTML_TYPE 8322  	// Report format for custom reports
#define S_TXT_TYPE 8323  	// Report type for custom reports
#define S_REPORT_DIR_NOTICE 8328  	// Notice displayed when adding new reports
#define S_RPT_ERROR 8329  	// Error displayed when adding custom reports
#define S_UPDATE_AVAILABLE 8334  	// Shown when an update is available
#define S_NO_UPDATES_AVAIL 8335  	// Shown when user runs update command and nothing new is available
#define S_ERR_DOWNLOAD_PLUGINS 8349  	// Error message shown for add-ons/plugins
#define S_FERM_WATER 8360  	// Title for water fermentation in water tab for recipes
#define S_NEW_TO_BEERSMITH 8377  	// Title displayed on opening screen
#define S_INTRO_UPGRADING 8383  	// Title used for intro screen
#define S_INTRO_ONLINE 8388  	// Online Resources title shown on intro screen
#define S_ERR_DOWNLOAD_PLUGIN 8397  	// Error messsage shown when plugin could not be added
#define S_PLUGIN_INSTALLED 8398  	// Message shown when an add-on has been successfully installed
#define S_ERR_INSTALLING_PLUGIN 8399  	// Error shown if downloaded file can't be installed
#define S_ERR_NOCOLOR 8413  	// No colored grains available to use for converting this recipe
#define S_TRIAL_ENDED 8418  	// Shown when the trial period has elapsed
#define S_CURRENCY_TITLE 8429  	// 
#define S_IND_TUN_TOO_SMALL 8435  	// Error shown if the mash tun is too small
#define S_PRIMARY_STRING 8443  	// Template used for displaying primary fermentation step (keep %s here)
#define S_SECONDARY_STRING 8444  	// Secondary fermentation string (keep the %s here)
#define S_TERTIARY_STRING 8445  	// Tertiary fermentation string - keep the %s
#define S_RENAME 8449  	// Used when renaming an item
#define S_STEEP 8457  	// Steep used in aroma hop description
#define S_NO_PRINT_PREVIEW 8460  	// Message displayed for print preview on the mac
#define S_REG_THANKS 8474  	// Message displayed for a registered version
#define S_DOCUMENT_DIR_SELECT 8478  	// Select a new directory for BeerSmith documents
#define S_ERR_CANT_CREATE_DIR 8479  	// Used when we cant create a directory
#define S_CHANGE_DIR_PROMPT 8480  	// Used when changing directories for data
#define S_RESTART_NOW 8481  	// Used when modifying installation directory
#define S_SAVE_WILDCARD 8499  	// Wildcard for saving files - don't change!
#define S_CAL_ALL_FOLDERS 8504  	// Display all folders (calendar options)
#define S_CAL_BREW_LOG_ONLY 8505  	// Display recipes in brew log only (Calendar option)
#define S_CAL_MAIN_RECIPE_FOLDER 8506  	// Display recipes in main recipe folder only (Calendar options)
#define S_CAL_OPTIONS 8507  	// Title for calendar options
#define S_HOP_UTIL_NOTE 8512  	// Note on equipment page regarding hop utilization
#define S_HC_NOTE 8513  	// Note regarding heat capacity
#define S_HC_NOTE2 8514  	// 
#define S_REG_EMAIL_LIST_TITLE 8520  	// Title for newsletter subscription on activation screen
#define S_REG_EMAIL_NOTE1 8521  	// Get our free weekly newsletter on homebrewing tips and techniques
#define S_REG_SUCCESS_WITH_EMAIL 8523  	// Registration with email list success - message
#define S_ERR_NO_SCALE_EQUIP 8524  	// Shown when someone scales a recipe size without changing equipment
#define SPLITTER_ID 8525  	// Used internally for splitter windows
#define SPLITTER2_ID 8526  	// Used internally for a window id
#define S_INVENTORY_MOVED 8527  	// Message displayed when items moved to inventory
#define S_IMPORT_INV_ITEMS_MISSING 8528  	// Error shown when importing inventory items
#define S_ERR_COLOR_RANGE 8533  	// Error shown when the color asked for is out of range
#define S_COLOR_RANGE_TEXT 8535  	// Displayed on the color adjust tool
#define S_ERR_SG_BELOW_WATER 8539  	// You can't scale gravity below that of water!
#define S_CHOOSE_FIELDS 8550  	// Used next to select fields button
#define S_ADD_WATER_PROMPT 8556  	// Prompt shown when adding water with water additions to a recipe
#define S_W_GYPSUM 8557  	// Name of the misc ingredient for Gypsum - used in adding water profiles to recip
#define S_W_SALT 8558  	// Name of "Salt" addition misc item - used when adding water additions in a recip
#define S_W_EPSOM 8559  	// Name of epsom salt addition - used when adding water to recipes
#define S_W_CACL 8560  	// Name of CACL addition (misc item) when adding water additions to recipe
#define S_W_SODA 8561  	// Name of Misc ingredient "Baking soda" - used when adding water ingredients
#define S_W_CHALK 8562  	// Name of Misc Chalk ingredient - used for recipe water additions
#define S_CONFIRM_OPTS 8571  	// Title used in user confirmation options on look/feel page
#define S_TIP_OPTS 8572  	// Title for look/feel dialog popup options
#define S_TIP_WARN 8573  	// Warning displayed with tip options under look/feel tab of options dialog
#define S_ERR_INFUSION_NEGATIVE 8586  	// Error displayed when editing a mash step and the volume is negative.
#define S_ERR_INFUSION_ABOVE_BOIL 8587  	// Error shown in mash step editor
#define S_REPORT_PROMPT 8606  	// Prompt for adding new custom reports
#define S_REPORT_WILDCARD 8607  	// Wildcard for report templates (don't change file extensions)
#define S_U_DEF_VALS 8615  	// Default additions title appearing on Options -> Units column
#define S_CLOSE_BEFORE_UPDATE 8648  	// Shown when upgrading to a new version.
#define S_THEME_WHITE 8652  	// White color scheme
#define S_CLOUD_DESCRIBE 8656  	// Use in cloud settings...
#define S_CLOUD_UNAME_TOO_SHORT 8662  	// User name must be at least four characters long
#define S_CLOUD_UNAME_INVALID 8663  	// User name must start with a letter and can only contain letters and numbers
#define S_EXCEPTION 8667  	// Prompt displayed for unhandled exception in program
#define S_ERR_WRITING_FILE 8668  	// Displaye when we can't complete writing of a file
#define S_VERSION_ASK 8672  	// Prompt when changing version numbers
#define S_CANT_OPEN_RES_FILE 8673  	// Error if resource file can't be opened
#define S_CHOOSE_COL 8674  	// Choose fields to customize columns
#define S_AVAILABLE_FIELDS 8675  	// List of available fields when customizing columns
#define S_ADD_FIELD 8676  	// Used for customizing columns
#define S_REMOVE_FIELD 8677  	// Used to customize columns
#define S_MOVE_UP 8678  	// Move up when customizing columns
#define S_MOVE_DOWN 8679  	// Move field down when customizing columns
#define S_DISPLAYED_COLUMNS 8680  	// Used for customizing columns
#define S_FIELD_LIMIT 8681  	// Limit when adding new fields/columns
#define S_FIELD_NUM 8682  	// Used for customizing columns/fields
#define S_CANT_CONNECT_SERVER 8683  	// Error if can't connect to server
#define S_SERVER_ERROR 8684  	// Error when trying to contact beersmith server for add-ons, scripts, cloud
#define S_NO_HELP 8685  	// No help file available for this topic
#define S_CUSTOMIZE_COLS 8686  	// Used to customize columns
#define S_MOD_DATE 8687  	// Modification date column (used internally)
#define S_SEARCH_CLEAR 8688  	// Clears out a search field
#define S_HELP 8689  	// Help string (displayed on help buttons)
#define S_OK_BUTTON 8690  	// Ok button title
#define S_CLOSE 8691  	// Close button title
#define S_SAVE 8692  	// Save button title
#define S_FOLDER_HTML 8693  	// HTML display for previewing a folder (keep the %s, %d, <> tags)
#define S_CANT_OPEN_TEMPLATE 8694  	// shown when we can't open a recipe template
#define S_CANT_OPEN_TMP 8695  	// HTML displayed when we can't open a temporary file to show an item
#define S_DEF_REPORT 8696  	// Used when setting the default report
#define S_SET_DEF_RPT 8697  	// Sets the default report format
#define S_SAVE_AS 8698  	// Used for save as command
#define S_PRINT_ERROR 8699  	// Used for printing errors
#define S_PRINTING 8700  	// Used when printing
#define S_PREVIEW_ERROR 8701  	// Error when previewing an item
#define S_PREVIEWING 8702  	// Used when previewing an item
#define S_SAVE_FILE_ASK 8703  	// Prompt to save a file before closing it
#define S_CLOSING_FILE 8704  	// Used when closing a file
#define S_THEME_BLACK 8705  	// Black color scheme with white letters

// Options
#define O_UNITS_SG 7515  	// Specific Gravity Display Units
#define O_UNITS_TEMP 7516  	// Temperature Units
#define O_UNITS_WEIGHT 7517  	// Weight units for grains and other heavy items
#define O_UNITS_VOLUME 7518  	// Volume units for batches and other large measures
#define O_UNITS_MASH_VOL 7519  	// Default units for measuring mash volume
#define O_GRAIN_VOL 7520  	// Volume in Liters for 1 Kg of Grain
#define O_MALT_SPECIFIC_HEAT 7521  	// Malt Specific Heat in Cal/gram-deg C
#define O_UNITS_PRESSURE 7522  	// Default pressure units
#define O_UNITS_SMALL_WEIGHT 7523  	// Small weight units (hops, carbonation weight, etc)
#define O_PREVIEW_STATE 7524  	// Option with state of preview win (0-hide, 1-bottom, 2-right)
#define O_NUM_BACKUPS 7527  	// Number of backup files to keep
#define O_PREVIEW_BOTTOM_POSITION 7528  	// Sash pct*10 for preview on bottom
#define O_PREVIEW_RIGHT_POSITION 7529  	// Position of sash pct*10  preview on right
#define O_UNITS_COLOR 7530  	// Color units
#define O_UNITS_REFRACTOMETER 7531  	// Refractometer preferred units
#define O_REF_BRIX_ZERO 7532  	// Zero offset value for refractometer measured in water
#define O_REF_BRIX_CORRECTION 7533  	// Correction factor for refractometer vs hydrometer in wort
#define O_UNITS_YEAST_VOL 7534  	// Units used to measure yeast
#define O_UNITS_WATER_GRAIN_PRECISION 7535  	// Decimal precision for water/grain ratios
#define O_STEEP_EFFICIENCY 7536  	// Extraction efficiency for grains that are steeped
#define O_MASH_FG_ADJ_TEMP 7537  	// Median mash temp in degrees F for calculating FG adjustment
#define O_MASH_FG_ADJ_SLOPE 7538  	// Slope of adjustment to FG based on mash temperatures
#define O_HOP_FIRST_WORT_ADJ 7539  	// Utilization increase for first wort hop additions
#define O_HOP_MASH_ADJ 7540  	// Mash hop utilization adjustment
#define O_HOP_LEAF_ADJ 7541  	// Hop utilization adjustment for leaf hops
#define O_HOP_PLUG_ADJ 7542  	// Hops utilization adjustment for plug hops
#define O_HOP_TYPE_ADJ 7543  	// Adjust recipes for hop types (leaf, plug, etc)
#define O_HOP_EQUATION 7544  	// Hop equation to use - 0=Tinseth, 1=Rager, 2=Garetz
#define O_STYLE_GUIDE 7547  	// Name of the style guide to display - or displays ALL if "All"
#define O_VIEW_DB 7548  	// 0-cur view, 1-new tab, 2-new win
#define O_VIEW_TOOL 7549  	// 0-view cur, 1-new tab, 2-new win
#define O_VIEW_ITEM 7550  	// 0-cur win, 1-new tab, 2-new win
#define O_VIEW_RECIPE 7551  	// 0-cur win, 1-new tab, 2-new win
#define O_HOPS_INC 7552  	// Amount to increment/decrement hop additions
#define O_GRAIN_INC 7553  	// Increment amount for grains when adjusting
#define O_MISC_INC 7554  	// Default misc ingredient increment
#define O_WATER_INC 7555  	// Increment for adjusting water amounts
#define O_YEAST_INC 7556  	// Increment for adjusting yeast amounts
#define O_FRAME_X 7557  	// Initial screen position
#define O_FRAME_Y 7558  	// Starting location of main frame
#define O_FRAME_WIDTH 7559  	// Initial frame width
#define O_FRAME_HEIGHT 7560  	// Frame initial height
#define O_FRAME_MAXIMIZED 7561  	// True if frame is maximized
#define O_VIEW_FOLDER 7562  	// 0=cur view, 1=new tab, 2=new win
#define O_CONVERT_MASHABLES 7563  	// Convert mashables when going from all grain to extract
#define O_ADV_GRAIN_ABSORB 7564  	// Absorption per oz for calculating volume occupied by grains
#define O_RIBBON_HOME_NEW_TAB 7565  	// Go to home ribbon when opening a new tab
#define O_NOTE_COLOR_CAL 7566  	// Color for notes on the calendar
#define O_NOTE_TCOLOR_CAL 7567  	// Color of text for notes on the calendar
#define O_RECIPE_COLOR_CAL 7568  	// Color of recipe items on the calendar (brewing)
#define O_RECIPE_TCOLOR_CAL 7569  	// Text color for recipe
#define O_Y_DRY_VIABILITY 7675  	// The starting viability of new dry yeast (%)
#define O_Y_DRY_AGING 7676  	// Amount of viability lost per month (%/month)
#define O_Y_LIQUID_VIABILITY 7677  	// Viability of new liquid yeast
#define O_Y_LIQUID_AGING 7678  	// Rate at which liquid yeast loses viability (%/month)
#define O_Y_SLURRY_VIABILITY 7679  	// Viability of new yeast slurry (%)
#define O_Y_SLURRY_AGING 7680  	// Rate at which slurry yeast loses viability (%/month)
#define O_Y_GROWTH_STARTER 7681  	// Max growth limit for a starter
#define O_Y_LAGER_PITCH 7682  	// Pitch rate for lager in millions of cells per ml - degree plato
#define O_Y_MIX_PITCH 7683  	// Pitch rate for mixed yeasts (millions of cells/ml - degree p)
#define O_Y_ALE_PITCH 7684  	// Pitch rate for ales in millions of cells per ml-degree plato
#define O_Y_SLURRY_CONC 7685  	// Slurry Yeast Concentration (billions of cells/l)
#define O_Y_SLURRY_NON_YEAST 7686  	// Slurry non-yeast percentage
#define O_Y_STIR_PLATE_FACTOR 7708  	// Yeast growth is increased by this much if a stir plate is used
#define O_Y_DRY_CELLS_PER_GRAM 7710  	// The number of billions of cells per gram of dry yeast
#define O_Y_DRY_HYDRATE 7711  	// The number of milliliters per gram of water for hydrating yeast
#define O_UNITS_WATER_ADDITIONS 7835  	// Default is always set to grams
#define O_HOP_PELLET_ADJ 7878  	// Percent to add/subtract to hop utilization when using pellets
#define O_BREW_LOG_NAME 7897  	// The name of the folder to use as the brewing log
#define O_UNITS_SHOW_LBS_OZ 7901  	// Show pounds and ounces when displaying units
#define O_U_VOLUME_PREC 7902  	// Precision to use with volume units
#define O_U_WEIGHT_PREC 7903  	// Precision to use with weight units
#define O_U_SMALL_WEIGHT_PREC 7904  	// Precision of small weight units
#define O_U_YEAST_VOL_PREC 7905  	// Precision to use for yeast volumes
#define O_U_MASH_VOL_PREC 7906  	// Precision to use for mash volumes
#define O_U_TEMP_PREC 7907  	// Precision to use for temperature readings
#define O_U_PRESSURE_PREC 7908  	// Precision to use with pressure readings
#define O_U_SG_PREC 7909  	// Precision to use for specific gravity readings
#define O_U_COLOR_PREC 7910  	// Precision for color readings
#define O_U_REFRACTOMETER_PREC 7911  	// Precision to use with refractometer readings
#define O_ADDRESS 7961  	// Address for owner
#define O_CLUB 7962  	// Club/Organization of owner
#define O_EMAIL 7963  	// Email address of owner
#define O_PHONE 7964  	// Phone number of owner for competition reports
#define O_REF_WORT 7967  	// Measure of wort for refractometer calibration
#define O_REF_HYDRO 7968  	// Refractometer reading for calibration
#define O_COLOR_SCHEME 8005  	// Color scheme for overall program
#define O_PROMPT_BEFORE_CLOSE 8025  	// Option to prompt a user before closing the view
#define O_REG_KEY 8084  	// Registration key - entered by user on startup
#define O_INSTALL_DATE 8085  	// Installed Date
#define O_LAST_RUN 8086  	// Last date program was run
#define O_UNITS_REF 8101  	// Units ref
#define O_INST_POS 8107  	// Inst pos
#define O_ADV_BIAB_ABSORB 8198  	// Grain absorption when using BIAB (about 61% of normal)
#define O_AUTOSAVE 8215  	// Autosaves files when program has been idle for a certain time
#define O_AUTOSAVE_TIME 8216  	// Number of minutes between autosaves if idle
#define O_MASH_FG_ADJUST 8235  	// Allows one to turn off the recipe FG mash temperature adjustmen
#define O_LAST_DIR 8242  	// Name of last directory opened by program is stored here
#define O_CONFIRM_DELETE 8243  	// Confirm deletes 
#define O_IMPORT_BS1 8250  	// Set once we have run the import wizard once
#define O_SHOW_SIDEBAR 8295  	// Tells whether user has the sidebar shown or hidden
#define O_CONVERT_EXTRACT_MALT 8300  	// Name of the default malt to use for "to extract" conversions
#define O_CONVERT_ALL_GRAIN_MALT 8301  	// Default malt to use when converting to all grain
#define O_SHOW_INTRO 8396  	// Show intro screen on startup
#define O_BS1_COMPAT 8417  	// Setting used for BeerSmith 1.4 compatability - don't change
#define O_CURRENCY 8425  	// The currency sumbol to use in the program
#define O_DECIMAL 8426  	// The decimal point symbol
#define O_CUR_PRECEDES 8427  	// True if the currency symbol precedes the number
#define O_CURRENCY_SET 8428  	// True once the currency symbols been initialized on first use
#define O_SIDEBAR_SIZE 8464  	// Size of sidebar in pixels if displayed
#define O_FILTER_HOPS 8469  	// Used to filter only items in inventory when choosing hops
#define O_FILTER_GRAIN 8470  	// Used to show only grains in stock when choosing grains
#define O_FILTER_MISC 8471  	// Used to filter only misc items in inventory
#define O_FILTER_YEAST 8472  	// Used to filter only yeasts in in inventory when picking them
#define O_SIDEBAR_HEIGHT 8473  	// Position for sidebar splitter (vertical)
#define O_REBALANCE_SCALE 8476  	// Rebalance the recipe after scaling
#define O_CAL_FOLDER 8502  	// Recipe folders to display on the calendar
#define O_CAL_HIDE_NOT_BREWER 8503  	// Hides recipes where I'm not the brewer
#define O_CHOOSE_SIZE_X 8516  	// Option to store size of resizable choose dialog
#define O_CHOOSE_SIZE_Y 8517  	// Size of choose dialog (vertical)
#define O_EMAIL_LIST 8522  	// True if they registered with an email list subscription
#define O_POP_CHECKBOX 8563  	// Show popups on checkbox
#define O_POP_LIST 8564  	// Show popups on lists
#define O_POP_DATE 8565  	// Show popups on date fields
#define O_POP_TEXT 8566  	// Show popups on text fields
#define O_POP_COMBO 8574  	// Show popups on combo boxes
#define O_UNITS_STARTER_VOL 8599  	// Start Volume Units
#define O_U_STARTER_PREC 8600  	// Precision for starter volume
#define O_U_HOP_DEF 8618  	// Default hop amount to be added for new hops
#define O_U_GRAIN_DEF 8619  	// Default grain amount to be added for new grains
#define O_HOPS_HG 8621  	// Show hop units in hectograms for metric unit systems
#define O_CONFIRM_VERSION_CHANGE 8623  	// Confirm recipe version changes (save as another name)
#define O_SMALL_RIBBON 8628  	// Reduced size ribbon display
#define O_UNITS_HOP_PRICE 8631  	// Alternate price units for hops - hectograms by default
#define O_SHOW_MENU 8636  	// Show or hide the menu
